CASE Studio 2 - Nápověda

Vážený uživateli,

děkujeme, že jste si vybral právě CASE Studio 2!

Základní informace

CASE Studio 2 je profesionální software pro vizuální navrhování databázových struktur - jinak a jednoduše řečeno "Database modeler" či "Database designer". CASE Studio 2 pracuje pod operačním systémem Windows.
CASE Studio 2 Vám umožní vizuálně navrhovat Entitně relační diagramy pro rozličné databáze. Jedná se o ideální software pro společnosti či vývojáře, kteří chtějí pracovat se svými databázemi nejpříjemnějším a časově velice úsporným způsobem.

Klíčové vlastnosti

  • Entitně relační diagramy (ERD)
  • Data Flow Diagramy (DFD)
  • Reverse Engineering - umožňuje vytvořit model struktury již existující databáze
  • Správce verzí - umožňuje porovnávat jednotlivé verze modelů
  • Velice detailní Logické i Fyzické HTML reporty
  • Galerie - pro uložení nejčastěji používaných částí modelů
  • Podpora Uživatelů, uživatelských skupin a uživatelských práv
  • Uživatelsky definované šablony
  • Možnost zapisování akcí do "To do" listu
  • Datový slovník
  • Referenční integrita (Deklarativně i za pomocí triggerů)
  • Podpora JScipt i VBScript
  • Submodely a mnohem více...
Přejeme Vám příjemnou práci s produktem CASE Studio 2!


Novinky verze 2.10.2

Co je nového ve verzi 2.10.2

Nové vlastnosti produktu

  • Podpora DBISAM 3
      - základní podpora pro DBISAM 3 (bez reverse engineeringu)

  • Podpora PostgreSQL 7.3
      - podpora domén (Domains)
      - uživatelem definované datové typy
      - rozšířený reverse engineering

  • Rozšířená podpora InterBase 6
      - univerzální reverse engineering
      - načítání sloučených cizích klíčů (FKs)
      - podpora výjímek (Exceptions) a generátorů (Generators) ve formě textových objektů
      - podpora Collations a znakových sad (Character Sets)
      - přesnější rozpoznávání datových typů Number a Decimal
      - podpora datových typů NChar a NChar Varying

  • Rozšířená podpora MS SQL 2000
      - u alternativních klíčů podpora proměnných 'Unique clustered' a 'Fillfactor'
      - přidány nové textové objekty
      - podpora funkcí (Functions) a uložených procedur (Extended Stored Procedures)
      - rozšířená verifikace modelu

  • Rozšířená podpora MS Access 97/2000
      - názvy atributů je možno nahradit Captions

  • Rozšířená podpora Sybase ASE 12.5
      - podpora funkcí ve formě textových objektů
      - uživatelé (Owners)
      - podpora funkcí (Functions) a uložených procedur (Extended Stored Procedures)
      - rozšířená verifikace modelu
  • Nové možnosti tisku
      - možnost vypnutí automatického rozpoznávání tiskáren
  • Nové CSS styly pro HTML reporty
      - MozillaBlue
      - MozillaOrange
      - SeptemberIE
  • Jednodušší podpora
      - stránka technické podpory je přístupná přímo z CASE Studia 2

Opravené chyby

  • MS SQL 2000
      - opravená chyba v generování SQL scriptu
      - opraveno generování 'Rowguidcol' a 'Storage to indexes'

  • PostgreSQL 7
      - generování Drop funkcí bylo opraveno

  • MySQL
      - verifikace modelu opravena

  • Oracle
      - verifikace modelu opravena

#


Novinky verze 2.10.1

Co je nového ve verzi 2.10.1

Novinky CASE Studia 2 CZ verze 2.10.1

Vylepšená podpora Oracle 9 a Oracle 8

  • Nové položky v reverse engineeringu - Nový checkbox byl přidán do dialogového okna Univerzálního reverse engineeringu. Při zaškrtnutí načte TABLESPACE tabulek, indexů a Unique/Primary key constraintů.

  • Změněné položky v reverse engineeringu
      - a) "Load storage parameters for tables" - při zaškrtnutí načte 'storage parameters' a 'clusters' pro tabulky jako text do záložky "Storage" v dialogu Entity. (Clusters jsou podporovány jen u Oracle 9)

      - b) "Load storage parameters for indexes" - při zaškrtnutí načte storage parameters pro indexy jako text do záložky "Storage" v dialogu Indexu.

      Zaškrtnete-li výše uvedené checkboxy, následující proměnné budou rovněž načteny do Storage záložek:
      - PCTFREE
      - PCTUSED
      - INITRANS
      - MAXTRANS

  • Proměnné TABLESPACE [screen shots]
      CASE Studio 2 podporuje proměnné TABLESPACE u:
      - tabulek
      [ Entity dialog | záložka Rozšířené]
      - primárních klíčů
      [ Entity dialog | záložka Rozšířené ]
      - alternativních klíčů
      [ Alternativní klíče dialog | záložka Rozšířené ]
      - unique constraintů
      [ Atribut dialog | záložka Rozšířené ]
      - indexů
      [ Index dialog | záložka Rozšířené ]

      CASE Studio 2 tedy podporuje proměnné TABLESPACE také pro Primární klíče, Alternativní klíče a Unique constrainty. Dříve se načítaly pouze proměnné TABLESPACE u tabulek a indexů, a to do záložky Storage u Entit a Idexů.

  • Proměnné Initially Deferred a Deferrable [screen shots] Mohou být definovány pro:
    - primary key constraints
    [ Entity dialog | záložka Rozšířené ]
    - alternate key constraints
    [ Alternativní klíče dialog | záložka Rozšířené ]
    - foreign key constraints
    [ Relace dialog | záložka Rozšířené ]
    - NOT NULL constraints
    [ Atribut dialog | záložka Rozšířené ]
    - check constraints
    [ Atribut dialog | záložka Rozšířené ]
    - unique constraints
    [ Atribute dialog | záložka Rozšířené ]

Vylepšena podpora pro Oracle 8

  • Generování SQL scriptu

      Uživatelé nyní mají možnost blíže určit jaké constraints chtějí generovat. Následující volby byly přidány to záložky Rozšířené.
      - Generate Check Constraint name
      - Generate Unique Constraint name
      - Generate NotNull Constraint name

  • Not Null constraint name
      NOT NULL constraint name může být definován v záložce Rozšířené v dialogu Atributu.

Vylepšena podpora pro MS SQL 2000

  • Podpora komentářů k tabulkám sloupcům
      CASE Studio 2 Vám umožní definovat komentáře k tabulkám a sloupcům. Komentáře jsou podporovány jak pro výsledné vygenerování SQL scriptu, tak i v rámci Univerzálního reverse engineeringu.

      Komentáře se načítají do záložek Description (v dialogových oknech Entity a Atribut).

      Description pro tabulky a sloupce se při generování skriptu vygeneruje pouze:
      a) bude-li zaškrtnuto políčko pro generování Description
      [dialog Generování scriptu | záložka Rozšířené]
      b) bude-li zaškrtnuto políčko pro generování Owner
      [dialog Generování scriptu | záložka Rozšířené]
      c) bude-li políčko owner v entitě vyplněno

      Ukončení řádku v textu záložce Description bude ignorováno

  • Korekce
      • V RE správné načítání sloupců tabulek, které měly pod různými ownery stejné názvy tabulek.
      Při generování skriptu opraveno generování alternativních klíčů (při použití owner v tabulce, se v názvu constraintu tento owner použil, což nelze)
#


Co je nového ve verzi 2.10 ?

NOVINKY verze 2.10

  • Podpora Oracle 9 ( více informací )
    • - využití uživatelských typů - práce s Functions (funkcemi), Packages (balíčky), Object Type Bodies, Sequences, ... - rozšířená verifikace modelu
  • Reverse engineering pro Oracle 9i

  • Vylepšený reverse engineering pro Oracle 8
    • - možnost výběru "home"
  • Vylepšená podpora MySQL 4 / 3.23 ( více informací )
    • - podpora tabulek innoDB, HEAP, ISAM, MyISAM, MERGE, BDB - uživatelské proměnné v modelu
  • Reverse engineering pro SQL 4 / 3.23

  • Vylepšen RE pro MS SQL 2000
    • - u indexu přidáno načítaní parametrů FILLFACTOR a PAD_INDEX - při načítání slovníkových typů vylepšeno rozpoznávaní typů INT, NCHAR, NVAR
  • Vylepšen RE pro SybaseASE
    • - při načítání slovníkových typů vylepšeno rozpoznávaní typů FLOW, REAL
  • Vylepšena podpora pro DB2
    • - podpora komentářů k tabulkám a sloupcům - reverse engineering na vyšší úrovni
  • Vylepšena podpora pro PostgreSQL
    • - podpora komentářů k tabulkám a sloupcům - reverse engineering na vyšší úrovni
  • Uživatelské typy ( více informací )
    • - rozšíření typů o uživatelem zadávané typy, které nejsou přímo podporovány programem - možnost vlastní definice typů v Editoru objektu
  • Rozšiření textových objektů ( více informací )
    • - rozšířeno o objekty Functions (funkce), Packages (balíčky), Sequences, Synonyms, apod. - kvalitnější rozlišení jednotlivých typů při generování skriptu
  • Vylepšené HTML reporty
    • - přidané poznámky z modelu a správce verzí - do fyz. reportu přidán výpis textových objektů a položka "user_type" (do data dictionary a columns) - do fyz. reportu přidán výpis parametru datového typu ve výpisu "tables" - casesensitivita fyzických názvů HTML reportů uzpůsobena jiným OS (Unix, Linux)
  • Vylepšené RTF reporty

Menší změny

  • Je možno vytvořit model s pouze jednou entitou
  • Editor atributu - při přepinání mezi datovými typy si systém pamatuje délku a decimal hodnotu každého typu zvlášť.
  • Zamezení dvojího otevření modelu. Kontrola, zda již model není v CS2 otevřen.
  • Použití kombinace CTRL+dvojí kliknutí přo otevření editoru v memo.
  • Vylepšena automatická synchronizace logických a fyzických názvů při editaci a vytváření (např. atributů).

Opravené chybičky

  • PostgreSQL: CS2 generuje SQL script pro specifikaci RE integrity na jednom řádku.
  • PostgreSQL: Byly dodány uvozovky do CREATE TABLE ... INHERITS (xxx).
  • Opravena šablona TRIGGERPARENTUPDATE – uvozovka nahrazena oddělovačem.
  • RE z InterBase: Načítání names a rolenames opraveno.
  • RE z MS SQL 2000: Opraveno rozpoznání slovníkových typů (int, nchar, nvarchar).
  • RE z SybaseASE: Opraveno rozpoznavání slovníkových typů (float, real).
  • Načítání správného implicitního názvu constraint foreign key, který je nyní přebírán ze šablon.
#


Jak... vytvořit model ?

Jak na to...

...vytvoření modelu

V menu Soubor klikněte na položku Nový model.
Poté se otevře dialogové okno Výběr cílové databáze.
Vyberte prosím z rozbalovacího menu cílovou databází se kterou chcete pracovat a stisknětě tlačítko OK.
#


Jak na to... vytvoření entity

Jak na to...

...vytvoření entity

Kliktěne na ikonku entity . Kurzor myši změní svůj vzhled. Kliknutím kdekoliv na plochu projektu vytvořítě novou entitu. Pak dvojím kliknutím myši vyvoláte nabídku editace entity. Viz také Editování entit, kde najdete více informací.

Vytvoření více entit najednou

Při kliknutí myši na ikonku entity prosím podržte klávesu SHIFT. Okraj ikonky Entity v liště získá modré orámování, což znamená, že každým kliknutím na plochu projektu můžete vytvářet další entity bez nutnosti opětovného klikání na ikonu.
Funkci pernamentního přidávání entit zrušíte buď znovu kliknutím na ikonku anebo pravým kliknutím v oblasti plochy projektu (zmizí modré orámování ikonky v liště). Tuto funkci pernamentního přidávání můžete aplikovat na jakýkoliv objekt zastoupený ikonkou v liště (relace, apod.).
#


Editace entity

Pro vyvolání dialogu Editace entity je zapotřebí dvakrát kliknout na entitu, popřípadě dvakrát
poklepat na příslušnou entitu ze seznamu entit, který je umístěný vpravo ve stromové
struktuře.

Název Entity

Logický název entity.

Název Tabulky

Fyzický název entity, takhle bude vygenerován ve scriptu.

Generovat

Zde si zvolíte, zda se má entita generovat do výstupního SQL skriptu.

ATRIBUTY

Seznam atributů, které jsou součástí entity. Atribut můžeme editovat, když vybereme
příslušný řádek a stiskneme tlačítko Edit, nebo poklepeme myší přímo na řádek.

Sloupce

Klíč

Uvádí, zda je atribut klíčový. Může nabýt těchto hodnot:
Primární klíč.
Cizí klíč, který je zároveň primárním klíčem.
Cizí klíč.
Hodnotu sloupce můžeme měnit kliknutím myši.

Název

Název atributu.

Typ

Datový typ atributu.

Not Null

Uvádí, zda atribut může nabýt nulových hodnot. Hodnotu sloupce můžeme měnit kliknutím myši.

Tlačítka:

Malé Add

Rychlé přídání atributu, název atributu vyplníte v políčku vlevo od tlačítka.

Add

Přídání atributu.

Edit

Oprava atributu.

Delete

Zrušení atributu.

and

Změna pořadí atributu.

To-Do list

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly týkající se entity.

VLASTNOSTI

Vlastnosti entity.

Constraint primární klíč

Název constraint primárního klíče. Můžete použít proměnnou %tablename%

ROZŠÍŘENÉ

Uživatelské proměnné definované v editoru uživatelských proměnných.

INDEXY

Seznam indexů, které jsou součástí entity. Editace indexu se vyvolává obdobně jako
editace atributu.

Sloupce:

Název

Název indexu

Index

Seznam atributů, ze kterých je index složen, případně indexový výraz.

Unique

Jedinečný index.

Descend

Sestupný index.

ALTERNATIVNÍ KLÍČE

Seznam alternativních klíčů, které jsou součástí domény. Editace alternativního klíče se
vyvolává obdobně jako editace atributu.

TRIGGERY

Triggery, procedury nebo složitější check, které logicky patří k entitě. Můžete zde použít
proměnné %tablename% a %entname% Všechny triggery můžete vidět v seznamu triggerů.

RELACE

Přehled relací, které vedou z a do entity.

STORAGE

Údaje, které se v některých db servrech píšou za SQL příkaz Create Table. Většinou
specifikují parametry fyzického uložení. Např. v Oracle to je:
tablespace ‹tablespace›,
nebo v Sybase anywhere:
in ‹dataspace›,
Můžete zde použít proměnné %tablename% a %entname%

POZNÁMKA

Zde si můžete zapsat jakoukoliv poznámku k entitě.


Jak na to... vytvoření atributu

Jak na to...

...vytvoření atributu

Vyvolejte editaci entity (pravé kliknutí na entitu a položka "Opravit entitu") a klikněte na tabulku Atributy. Nyní jsou dvě možnosti, jak přidat atribut:

Standartní cesta

kliknutí na ADD tlačítko ( klávesová zkratka Alt+A ) vytvoří nový atribut. Nejdříve se otevře dialogové okno. ( viz Editace atributů pro více informací).

Rychlá cesta

Zadáním názvu atributu do editačního okénka pod seznamem entit se aktivuje malé tlačítko "ADD" ( klávesová zkratka Alt+D ) kliknutím na něj se vytvoří nový attribut (se jménem uvedeným v editačním okénku) přímo bez dialogového okna.

seřazení atributů v dialogu Entit

Použitím dvou červených šipek (šipka nahoru a dolu) je možno posouvat zvýrazněným atributem na zvolenou pozici. Také je možno přímo kliknout na položku atritubu, stále držet tlačítko myši a přesunou atribut na zvolenou pozici. Kliknout však musíte na číslo řádku.
#


Editace atributu

Editace Atributů

Klíč

Atribut je součástí primárního klíče.

Zde máte přístup do slovníku uživatelských typů.

Název atributu

Logický název atributu

Název sloupce

Fyzický název tak, jak bude vygenerován v databázi

Rolename

V případě, že je atribut importován z jiné entity, můžeme zde změnit jeho název.
Pokud se atribut exportuje do jiných entit, tak již pod tímto názvem.
Tip - If you check the Full rolenames item in Display menu, you will see the initial
attribute name and the new rolename in file format rolename.altrname

Typ

Datový typ atributu, můžeme v něm vybrat jednat ze základních typů databáze, jednak z uživatelských typů. Pokud máme speciální požadavky, můžeme také použít tzv. Empty typ.

Default

Defaultní hodnota atributu.

Název Default Constraint

Název constraint defaultní hodnoty atributu (pokud to SQL server podporuje)

Check

Integritní omezení atributu. Můžete použít proměnnou %colname%.

Název Check Constraint

Název constraint pro Check, můžete ho buď přímo pojmenovat, nebo použít
proměnné %colname% (název sloupce) a %tablename% (název tabulky),
případně tyto postupy zkombinovat. Např. můžeme použít název
CS_%tablename%_%colname%, v případě sloupce "adresa" v tabulce "klienti",
dostanem ve vygenerovaném skriptu název constraint CS_adresa_klienti.
Název se generuje pouze tehdy, když je vyplněna i položka Check.

Název Unique Constraint

Název Constraint pro unique omezení atributu (pokud to SQL server podporuje).
Můžete použít proměnné %tablename% a %colname% podobně jako u Názvu
Check Constraint.

Def

Volně použitelná položka, její použití závisí na výstupní databázi. Příklad.

Def 2

2. volně použitelná položka

Note

libovolný text.


použití Rolename ?

Jak na to...

...změna jména FK atributu

Pravým tlačítkem myši klikněte na entitu a vyberte prosím položku Opravit entitu. Pak klikněte na atribut a stikněte tlačítko "Edit", což otevře následující okno dialogu
Změňte Název sloupce a vložte nové jméno do pole Rolename

Použití Rolename

Rolename může být použito v těchto případech:

1) při vytváření Self-relací

2) při vytváření specifických M:N relací

3) vždy, když chcete změnit jméno atributu Foreign key

Zde je malý příklad:

Když kliknete pravým tlačítkem na entitu a vyberete "Přidat self relaci", pak se v entitě vytvoři kopie vašeho identifikujicího klíče. Poté, kontrola modelu vráti zpět zprávu:
Chyba - stejný název sloupce "My_Attribute" v entitě"My Entity"
Chyba - stejný název atributu "My Attribute" v entitě "My Entity"
Model "C:\mymodel\rolename.dm2" has 2 errors and 0 warnings
#


Editace indexu

Název indexu

Současně fyzický a logický název.

INDEX

Unique

Jedinečný index.

Descend

Sestupný index.

Case sensitive

Index rozlišuje malá a velká písmena. Zatím v žádné databázi nevyužito.

Left Table

Seznam atributů v entitě, které můžete použít pro indexaci.

Right Table

Seznam atributů užitých v indexu.

and

Mění pořadí položek v indexu

Expression

Index tvořený výrazem. Zatím nepoužito, připraveno pro databáze jako Foxpro, Clipper atd.

Filter

Filtr pro index tvořený výrazem. Také zatím nepoužito.

STORAGE

Parametry fyzického uložení indexu. Můžete zde použít proměnnou %indexname%.
Podporováno jen v některých db. např Oracle.


Jak na to - vytvoření relace

Jak na to...

...vytvoření relace

Klikněte na ikonu relace (jakékoliv, identifikační, neidentifikační ...) . U kurzoru se objeví nápis "REL", pak nejdříve klikněte na základní entitu, držíte levé tlačítko myši a přesunete myš nad druhou entitu. . Po puštění levého tlačítka se vytvoří relace mezi zvolenými dvěmi entitami. (Drag and drop funkce).

vytvoření vlastní relace (self-relace)

Pravým kliknutím na entitu se vyvolá menu ze kterého vyberte položku Přidat self-relaci

editace relace

Prosím klikněte pravým tlačítkem na linku relace and vyberte položku Opravit relaci. Viz Editace relace.
#


Editace relací

Editace relace

TYP

Název

Název relace.

Způsob propojení

Jsou 3 způsoby propojení parent a child entit.
  • Přes primární klíč parent entity.
  • Přes unique atribut parent entity.
  • Přes alternativní klíč parent entity.
Pozn.: PostgreSQL a MS Access nepodporují Alternativní klíče. Referenční integrita se vytváří pomocí Unique položek. Jelikož CASE Studio 2 načítá během reverse engineeringu Unique položky jako Alternativní klíče, musíte definovat Indexy v záložce Alternativní klíče (Editace entity). Při generování výsledného SQL Scriptu generuje CASE Studio 2 Alternativní klíče znovu jako Unique položky.

Typ relace

Zde se nastavuje, zda je relace identifikační, neidentifikační nebo informativní.

Parcialita parent

Parcialita (volitelnost) relace vůči parent entitě.
  • Povinné - V parent entitě musí existovat alespoň jeden záznam příslušný k child entitě, spojené relací.
  • Nepovinnél - V parent entitě nemusí (ale může) existovat žádný záznam příslušný k child entitě, spojené relací.

Parcialita child

Totéž co parcialita parent, ale v opačném směru.

Tlačítka

OK

Potvrzení změn

Cancel

Zrušení změn

Help

Nápověda

To-Do list

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly týkající se relace.

REFERENČNÍ INTEGRITA

Pravidla integrity týkající se relace

Constraint název.

Zde se definuje název pro constraint, pokud budeme generovat referenční integritu deklaratorně. Název můžeme buď explicitně nazvat svým názvem, nebo můžeme použít proměnné %parenttablename%, %childtablename% a %relname%, případně je zkombinovat. Např. můžete constraint pojmenovat fk_%relname%, v pripade ze se relace jmenuje napr. "zamestnava", jmenuje se constraint "fk_zamestnava". Viz také: Referenční integrita.

KLÍČE

Seznam klíču, pomoci kterých je touto relací spojena parent a child entita.

Viz také:

Typy relací
Referenční integrita


Jak na to... změna typu již exutující relace

Jak na to...

změna typu již exitující relace

Pravým kliknutím na relaci (nebo dvojklik) vyvoláte menu, ze kterého je nutné vybrat položku Opravit relaci. Tímto se otevře níže uvedené dialogové okno. V záložce Typ můžete specifikovat/změnit typ relace (radio buttons).
Je možno vybrat z těchto typů relací:
  • Identifikační
  • Neindentifikační
  • Informativní
viz také Editace relace.
#


Jak na to... nastavení pravidel referenční integrity

Jak na to...

...nastavení pravidel referenční integrity

Prosím kliknětě pravým tlačítkem myši na čáru znázorňující relaci (nebo na ni dvakrát klikněte levým tlačítkem) a vyberte položku Opravit relaci. Tímto se otevře dialogové okno Relace. V záložce Referenční integrita je možno nastavit požadovaná pravidla pro parent a child entitu (výběr z rozbalovacích menu)
Defaultní nastavení je None (=žádné), další možné varianty nastavení jsou:
  • Restrict
  • Cascade
  • Set NULL
  • Set Default

viz také Editace relace
#


Editace Alternativního Klíče

Název

Logický název alternativního klíče

Fyzický název

Fyzický název alternativního klíče

Levá tabulka

Seznam atributů v entitě, ze kterého můžete vybrat alternativní klíč.

Pravá tabulka

Seznam atributů používaných jako alternativní klíče
Tip: Alternativní klíče jsou převážně generovány následovně:
alter table add constraint ‹tablename› unique ‹AlterKeyName›


Jak na to... vytvoření triggeru

Jak na to...

...vytvoření triggeru

Prosím klikněte na položku Textové objekty v menu Model (klávesová zkratka Ctrl+T). Tímto se otevře dialogové okno pro textové objekty.
Pro vytvoření nového triggeru, prosím nejdříve rozbalte položku"Uživatelské triggery" a pak klikněte levým tlačítkem myši na jakoukoliv položku (entitu). Pak pravým kliknutím myši vyvoláte nabídku "Přidat trigger". Prosím pojmenujte trigger a pak již můžete v pravém editačním okně vytvářet (definovat) svůj vlastní trigger. Pro potvrzení editace prosím klikněte na tlačítko s obrázkem "zeleného odškrtnutí" (hned první ikonka v liště).

...setřízení triggerů

Samozřejmostí je možnost napsání několika triggerů pro jednu entitu. V případě, že je poté chcete setřídit, prosím použijte ikonky červených šipek v liště.

...vytvoření vzorů pro triggery

Prosím klikněte na položku menu Soubory a poté vyberte Rozšířené nastavení a klikněte na položku Vzory. Text, který vložíte do okna (záložka "Vzor triggeru"), bude implicitně použit jako výchozí text pro každý nový trigger definovaný uživatelem. Toto nastavení vám pomůže vyvarovat se stereotypu a zvýší vaši efektivitu práce. Nabídku můžete také zvolením položky Vzory v menu Nastavení (dialog Textové objekty).
#


Jak na to... vytvoření procedury

Jak na to...

...vytvoření procedury

Prosím klikněte na položku Textové objekty v menu Model (klávesová zkratka Ctrl+T). Tímto se otevře dialogové okno pro textové objekty.
K vytvoření procedury, prosím klikněte pravým tlačítkem na větev Procedury z levého stromu a z nabídky vyberte "Přidat". Zadejte název procedury a nadefinujte ji v pravé záložce Obsah. Pro potvrzení editace prosím klikněte na tlačítko s obrázkem "zeleného odškrtnutí" (hned první ikonka v liště).

...seřazení uložených procedur

Samozřejmostí je napsání několika procedur. Pokud je chcete setřídit, prosím použijte pro tento účel ikonky "červené šipky", umístěné v liště.

...vytvoření vzoru pro uložené procedury

Prosím klikněte na položku menu Soubory a poté vyberte Rozšířené nastavení a klikněte na položku Vzory. Text, který vložíte do okna (záložka "Vzor procedury"), bude implicitně použit jako výchozí text pro každou novou proceduru definovanou uživatelem.
#


Jak na to... vytvoření pohledu

Jak na to...

...vytvoření pohledu

Prosím klikněte na položku Textové objekty v menu Model (klávesová zkratka Ctrl+T). Tímto se otevře dialogové okno pro textové objekty.
Pro vytvoření pohledu prosím klikněte pravým tlačítkem do stromu na větev "Views" (angl. pohledy) a z popup menu vyberte "Přidat". Po zadání jména nového pohledu můžete definovat pohled v záložce Obsah. Pro potvrzení editace prosím klikněte na tlačítko s obrázkem "zeleného odškrtnutí" (hned první ikonka v liště).

seřazení pohledů

Samozřejmě můžete pohledy manuálně setřídit. V tomoto případě prosím použijte červené šipky umístěné v liště.

vytvoření vzoru pro pohled

Prosím klikněte na položku menu Soubory a poté vyberte Rozšířené nastavení a klikněte na položku Vzory. Text, který vložíte do okna (záložka "Vzor view"), bude implicitně použit jako výchozí text pro každý nový pohled definovaný uživatelem.
#


Jak na to... načtení struktury databaze

Jak na to...

načtení struktury již existující databáze

Z menu Soubor vyberte položku Reverse engineering a další nabídky pak Univerzální reverse engineering.
Poté postupujte následujícím způsobem:
1) Vyberte existující Alias z rozbalovacího menu nebo vpište nový Alias název (slouží pro uložení vlastního nastavení - Máte-li nadefinovány veškeré údaje, uložte Alias kliknutím na tlačítko Uložit .
2) Vyberte prosím script z rozbalovacího menu Execute Script , např. Oracle
3) Zrozbalovacího menu Connection Via vyberte metodu připojení
4) Klikněte na tlačítko Nastavení a definujte všechny parametry potřebné pro připojení (V našem případě můžete vybrat z:
a) native connection via ODAC
b) Connection via ADO
Máte-li vše řádně specifikováno, kliknětě na tlačítko OK.
5) Vložte vaše Uživatelské jméno a Heslo
6) Klikněte na tlačítko Připojit
7) Klikněte na tabulku Nastavení a vyberte položky, které chcete načíst.
8) Klikněte na tabulku Tabulky a vyberte tabulky, které chcete načíst
9) Pokud máte vše nastaveno, Klikněte prosím na tlačítko Spustit
10) Kliknutím na tlačítko Odpojit odpojíte relaci a zavřete dialogové okno.
Viz sekce Reverse engineering pro více informací.
#


Mapování Foreign Keys

Plná kontrola nad cizími klíči

Od verze 2.9 můžete plně konrtolovat cizí klíče (Foreign Keys). Plnou kontrolou můžete vytvořit Compound Foreign Keys, násilně změnit cizí klíč na primární apod. Viz ukázky níže.

Compound Foreign Keys

Klikněte na relaci a zvolte položku Cizí klíče.

Nyní klikněte na sloupec "FK nový" a vyberte odpovídající cizí klíč.

Tímto způsobem můžete vytvářet Compound foreign keys velice snadno! Rozdíl mezi verzemi 2.8 a 2.9 je zobrazen na obrázku níže. (Samozřejmě, vytváření "compound foreing keys" bylo možné i ve verzi předchozí, avšak nyní je tento proces mnohem snazší a pohodlnější).

Násilná změna cizího klíče (FK) na klíč primární (PK)

Editujte atribut, který je cizím klíčem a zatrhněte políčko KEY. Toto políčko je nyní dostupné a zobrazuje změnu červeně.
Tímto způsobem můžete vytvářet specifické modely, viz obrázek dole.
#


Reverse Engineering

Za pomocí CASE Studia 2 můžete provádět reverse engineering databázových struktur z různých databázových systémů.

Při reverse engineeringu dojde k načtení entit, atributů, relací, indexů, triggerů, procedur a rovněž dalších objektů, v závislosti na patřičné databázi. Ne všechny tyto položky jsou podporovány všemi databázemi.
Navíc, CASE Studio 2 je schopno komunikovat s databázemi několika různými metodami. Můžete volit mezi ODBC připojením, ADO připojením ODAC, přímým nativním připojením. Výběr záleží na Vás.
Pokud zvolíte volbu Soubor | Reverse engineering z hlavního menu, zobrazí se Vám následující nabídka:

Universal Reverse Engineering

Přímý plně podporovaný reverse engineering je dostupný k následujícím databázím:
    • Oracle 9i, 8i,
    • IBM DB2 v. 7.1,
    • MySQL 4, 3.23,
    • PostgreSQL v. 7.2
    • MS Access 2000 and 97
    • MS SQL 2000
    • Sybase ASE 12.5
    • MS Access
Víz Universal Reverse Engineering.

Paradox

Připojení k databázím Paradox. Viz Reverse Engineering pro Paradox

Interbase přes Nativní připojení

Připojení k databázím Interbase. Viz Reverse Engineering pro Interbase přes Nativní připojení

Interbase přes BDE

Připojení k databázím Interbase. Viz Reverse Engineering pro Interbase přes BDE

MS SQL přes Nativní připojení

Připojení k Microsoft SQL Server databázím. Viz MS SQL přes Nativní připojení.

MS SQL přes ADO

Připojení k Microsoft SQL Server databázím. Viz Reverse Engineering pro MS SQL přes ADO

MS SQL přes ODBC

Připojení k Microsoft SQL Server databázím. Viz Reverse Engineering pro MS SQL přes ODBC

ADO

Připojení k různým databázím přes ADO. Viz Reverse Engineering - ADO

Zastaralé

Zde je možné se připojit připojením, které bylo nahrazeno Univerzálním Reverse engineeringem. Tato připojení jsou zde uvedena pouze pro úplnost. Viz Zastaralé - reverse engineering.


Univerzální Reverse engineering

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu.

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .

Uživatelské jméno

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.
viz také:
Universal R.E. - Oracle
Universal R.E. - DB2
Universal R.E. - MySQL
Universal R.E. - PostgreSQL
Universal R.E. - MS Access
Universal R.E. - MS SQL 2000
Universal R.E. - Sybase ASE


Reverse Engineering - zastaralý způsob

Oracle reverse engineering - nativní připojení

Hoststring

Zde nastavte Hoststring pro Oracle.

Oracle reverse engineering - ADO

MySQL reverse engineering - ODBC


Reverse Engineering - ADO

Pomocí této volby můžete zkusit načíst databázovou strukturu i z databáze, která není přímo podporována produktem CASE Studio 2.


Data types

Podporované datové typy

Clipper 5.0

název

fyzický název
Date
Date
Character
Character
Logical
Logical
Memo
Memo
Numeric
Numeric


DBISAM- proměnné

Uživatelské proměnné

Entita

Dvojím kliknutím na entitu (popř. pravým kliknutím a výběrem položky "Opravit entitu" z pop-up menu) vyvoláte následující dialogové okno. Pro zobrazení nabídky klikněte na záložku Rozšířené.
  • pokud zaškrtnete položku Create Table In Memory, CASE Studio 2 sice tabulku modelu vloží, ale neuloží ji. Tabulka bude uchována pouze v paměti. (Při dalším spuštění programu se tabuka již v modelu neobjeví).

    • Atribut

    Pro dosažení následujícího dialogového okna prosím editujte atribut a klikněte na záložku Rozšířené.

    Indexy

    Editujte entitu, klikněte na záložku Indexy a poté klikněte na tlačítko ADD. Zobrazí se následující dialogové okno.
    Obsah Storage bude vygenerován pouze v případě, že zaškrtnete volbu Fulltext Index v záložce Rozšířené.
    FullText Index je možno aplikovat pouze na sloupce s datovým typem "String".
    Některé tabulky by měly obsahovat pouze jeden Fulltext index.
    V případě, že zaškrtnete volbu FullText Index, obsah záložky Storage bude správně vygenerován, avšak vaše nastavení "Unique", "Descend" a "Case sensitivite" budou ignorováno (záložka Index).
    #


DBISAM - generování SQL scriptu

Generování scriptu

Pro vyvolání dialogového okna Generování scriptu prosím použijte klávesu F9.
Na této záložce máte možnost nastavit, které objekty budou generovány. Také si zde můžete nastavit, zda má být zdroj scriptu upraven do VELKÝCH popř. malých písmen. Implicitně je nastaveno generování ve smíšené podobě - "Nechat původní" (Velká i malá písmena).

Kliknutím na záložku Jak generovat vyvoláte dialog. okno, ve kterém můžete zvolit možnost generování "Primární klíče jako constraint". V modelu databáze DBISAM je toto jediná možnost, kterou lze na dané záložce nastavit.

Prosím nezapomeňte zkontrolovat dodatečné nastavení v záložce Rozšířené.

Zde si můžete dodatečně nastavit:
  • generování fulltextového indexu
  • generování popisu tabulky
  • generování popisu sloupce
    • #


DBISAM - Datové typy

Podporované datové typy

Seznam všech datových typů přímo podporovaných produktem CASE Studio 2.

DBISAM 3.17

Název

Fyzický název
(další datové typy)
AutoInc
AUTOINC
BCD
DECIMAL
Blob
BLOB
Boolean
BOOLEAN
Bytes
BYTES
Currency
MONEY
Date
DATE
Fixed Char
CHARACTER
Float
FLOAT
FmtMemo
BLOB(0,3)
Graphic
GRAPHIC
Integer
INTEGER
LargeInt
LARGEINT
Memo
MEMO
SmallInt
SMALLINT
String
CHARACTER
Time
TIME
TimeStamp
TIMESTAMP
TypedBinary
BLOB(0,7)
Word
WORD


Universal R.E. - DB2

DB2

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu. Na výběr máte z následujících možností:
  • Access 97
  • Access 2000
  • DB version 7.1
  • MySQL 3.23
  • MySQL 4
  • MS SQL 2000
  • Oracle
  • Oracle 9i
  • PostgreSQL
  • Sybase ASE

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Nastavení

Load check constraints

Načíst Constraints

Load unique constraints

Načíst Unique constraints

Load indexes

Načíst Indexy

Load triggers

Načíst triggery

Load procedures

Načíst procedury

Load views

Načíst pohledy

Load users and groups

Načíst informace o uživatelích, uživatelských skupinách a právech.

Load permissions

Načíst uživatelská práva.

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.


Data types

Podporované datové typy

DB2 v.7

název

fyzický název
Bigint
Bigint
Blob
Blob
Boolean
Boolean
Clob
Clob
Datalink
Datalink
Date
Date
DBClob
DBClob
Decimal
Decimal
Double
Double
Float
Float
Graphic
Graphic
Character
Char
Integer
Integer
Long vargraphic
Long vargraphic
Long Varchar
Long Varchar
Real
Real
Smallint
Smallint
Time
Time
Timestamp
Timestamp
Var graphic
Var graphic
Varchar
Varchar


Data types

Podporované datové typy

Informix

název

fyzický název
Byte
Byte
Date
Date
Datetime day to fraction
Datetime day to fraction
Datetime day to hour
Datetime day to hour
Datetime day to minute
Datetime day to minute
Datetime day to second
Datetime day to second
Datetime hour to fraction
Datetime hour to fraction
Datetime hour to minute
Datetime hour to minute
Datetime hour to second
Datetime hour to second
Datetime minute to fraction
Datetime minute to fraction
Datetime minute to second
Datetime minute to second
Datetime month to day
Datetime month to day
Datetime month to fraction
Datetime month to fraction
Datetime month to hour
Datetime month to hour
Datetime month to minute
Datetime month to minute
Datetime month to second
Datetime month to second
Datetime second to fraction
Datetime second to fraction
Datetime year to day
Datetime year to day
Datetime year to fraction
Datetime year to fraction
Datetime year to hour
Datetime year to hour
Datetime year to minute
Datetime year to minute
Datetime year to month
Datetime year to month
Datetime year to second
Datetime year to second
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Money
Money
NChar
NChar
Numeric
Numeric
NVarchar
NVarchar
Serial
Serial
Smallfloat
Smallfloat
Smallint
Smallint
Text
Text
Varchar
Varchar


Data types

Podporované datové typy

Ingres

název

fyzický název
Byte
Byte
C
C
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float4
Float4
Float
Float
Float8
Float8
Char
Char
Integer1
Integer1
Integer2
Integer2
Integer
Integer
Integer4
Integer4
Long byte
Long byte
Long varchar
Long varchar
Money
Money
Object key
Object key
Real
Real
Smallint
Smallint
Table key
Table key
Text
Text
Varchar
Varchar


InterBase 6/6.5 - specifikace

Uživatelské proměnné

Dvojím kliknutím na entitu (popř. pravým kliknutím a výběrem položky "Opravit entitu") otevřete následující dialogové okno. Zde se prosím klikněte na záložku Rozšířené.

External File

Deklarace dat ležících v tabulce nebo souboru mimo databázi.
(Do políčka formuláře prosím vepište cestu k externímu souboru nebo tabulce)

Textové objekty

Triggery (Triggers), procedury (Procedures), pohledy (Views), výjimky (Exceptions) a generátory (Generators) lze nyní definovat v dialogovém okně Textových objektů. Pro otevření okna klikněte prosím menu->Model->Textové objekty. Ve stromové struktuře prosím klikněte na položku Generators (generátory). Poté pravým kliknutím vyvoláte pop-up menu, ze kterého zvolte "Add" (přidat). Prosím vyplňte název nového generátoru a můžete jej začít definovat v kontextvé ploše okna. Pro uložení nového generátoru prosím klikněte na zelenou ikonku "OK" v liště.

Dodatečné informace

  • Univerzální RE také umožňuje načítání sloučných cizích klíčů (compound foreign keys)
  • Při práci s triggery a procedurami program automaticky změní terminátor " ; " na " ^ ".
  • Od verze 2.10.2 dokáže CASE Studio 2 rozpoznat datové typy Number a Decimal jako dvě rozdílné položky.
  • CHECK coinstrainty pro domeny jsou načitány bez závorek.
  • Od verze 2.10.2 podporuje CASE Studio 2 dva nové datové typy: NChar a NChar Varying.
  • Unique atributy by měly být definovány také jako Not Null
  • CASE Studio 2 nenačítá domény, které začínají znaky "RDB$".
#


InterBase 6/6.5 - generování SQL scriptu

generování SQL scriptu

CASE Studio 2 umožňuje vygenerovat SQL (DDL) script. Proces generování je velice jednoduchý a snadný a jistě Vám dokáže ušetřit spoustu času.
Stisknutím F9 se otevře následující dialogové okno.

Kliknutím na záložku Jak generovat můžete změnit následující nastavení:

Prosím nezapomeňte zkontrolovat dodatečné nastavení v záložce Rozšířené. viz obrázek.
Všechny výjimky pro triggery v RI budou generovány pouze pokud:
- zaškrtnete volbu "Generate exception for triggers for RI" - generuj výjimku pro triggery (záložka 'Rozšířené')
- zaškrtnete volbu "Triggery z ref. integ." - (záložka 'Co generovat')
#


InterBase 6 - Univerzální RE

Universal R.E. - InterBase 6.5

InterBase 6/6.5

Pro otevření následujícího dialogového okna prosím použijte cestu: Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Vyberte prosím existující Alias z rozbalovacího menu anebo napište nové Alias jméno. Po patřičném nastavení, prosím uložte nový Alias kliknutím na ikonku .

Spustit skript

Vyberte prosím existující skript z rozbalovacího menu.

Připojení přes

Dále potom prosím vyberte metodu připojení z rozbalovacího menu. Kliknutím na tlačítko nastavíte specifické parametry potřebné ke spojení k databázi.

Uživatelské jméno.

Jméno uživatele připojeného k SQL serveru.

Heslo

Uživatelské heslo

Uloži heslo

Uloží heslo vázané na daný Alias.

Nastavení

Load referential integrity

Zaškrtněte pro načtení referenční integrity.

Load check constraints

Zaškrtněte pro načtení check constraintů.

Load unique constraints

Zaškrtněte pro načtení unique constraintů.

Load indexes

Zaškrtněte pro načtení indexů.

Load collations and character sets

Zaškrtněte pro načtení COLLATIONS a CHARACTER SETS (Znakových sad). COLLATIONS budou načteny do dialogu "Atribut", záložky "Def2". Znakové sady budou načteny do stejného dialogu, ale do záložky "Def". Obě položky budou také načteny do Slovníkových typů. Navíc, CASE Studio 2 umožňuje načítání Znakových sad pro argumenty, které náleží procedurám (vstupní/výstupní).

Load triggers

Zaškrtněte pro načtení triggerů

Load procedures

Zaškrtněte pro načtení procedures

Load external functions

Zaškrtněte pro načtení externích funkcí

Load views

Zaškrtněte pro načtení pohledů

Load exceptions

Zaškrtněte pro načtení výjímek

Load generators

Zaškrtněte pro načtení generatorů

Load blob filters

Zaškrtněte pro načtení blob filterů

Load roles, users and permissions

Zaškrtněte pro načtení rolí, uživatelů a povolení

Po načtení uzavřít

Po ukončení procesu reverse engineeringu se okno automaticky uzavře.

Buttons

Připojit

Spojení s databázi.

Odpojit

Odpojení od databáze. Toto tlačítko je aktivní v případě, že CASE Studio 2 je k nějaké databázi připojeno.

Spustit

Spustí reverse engineering. Toto tlačítko je aktivní v případě, že CASE Studio 2 je k nějaké databázi připojeno.

Help

Otevře nápovědu k danému tématu (Reverse engineering).


Interbase - RE (nativní připojení)

R.E. pro Interbase - nativní připojení

Interbase - nativní připojení

Databáze

Cesta k souboru databáze (*.gdb)

Uživatelské jméno

Název uživatele na SQL servru

Password

Heslo uživatele

Typ Interbase

Na výběr máte k dispozici následující typy:
  • Interbase 4,
  • Interbase 5,
  • Interbase 6 dialect 1
  • Interbase 6 dialect 3

Entity

The entities found in the database.

Nastavení

The database objects to be reverse engineered and loaded into the model.

Load Triggers

Načítat triggery

Load Procedures

Načítat procedury

Indexes

Načítat indexy

Collation

Načítat metodu řazení atributů

Character set

Načítat národní znakovou sadu atributů

Views

Načítat pohledy

Permissions

Načítat práva
Pozn:
Databáze Interbase nedokáže rozpoznat, ke kterému Atributu náleží příslušný Check constraint. Proto jsou všechny Check constrainst načítány jako triggery k entitám.


Interbase via BDE - Reverse Engineering

R.E. pro Interbase via BDE

Interbase via BDE

Nastavení

Load Triggers

Načíst triggery

Load Procedures

Načíst procedury

Indexes

Načíst indexy

Collation

Načíst metodu řazení atributů.

Character set

Načíst národní znakovou sadu atributů

Views

Načíst pohledy

Permissions

Načíst práva
Pozn.:
Intebase nedokáže rozpoznat, který Check constraint náleží k určitému atributu. Proto jsou všechny Check informace načítány do CASE Studia 2 jako triggery.


Data types

Podporované datové typy

Interbase 6 SQL 3

název

fyzický název
Blob
Blob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Time
Time
Timestamp
Timestamp
Varchar
Varchar


Data types

Podporované datové typy

Interbase 6 SQL 1

název

fyzický název
Blob
Blob
Date
Timestamp
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Timestamp
Timestamp
Varchar
Varchar


Data types

Podporované datové typy

Interbase 5

název

fyzický název
(Time)
Date
(Timestamp)
Date
Blob
Blob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Varchar
Varchar


Data types

Podporované datové typy

Interbase 4

název

fyzický název
Blob
Blob
Date
Date
Decimal
Decimal
Double
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Varchar
Varchar


MS Access - proměnné

MS Access - uživatelské proměnné

Atribut

Otevřete prosím dialogové okno editace atributů a přejděte na záložku Rozšířené, kde uvidíte následující dialogové okno:
CASE Studio 2 během vytváření entitně relačních diagramů (ERDs) respektuje četné specifikace databáze MS Access. Tyto specifikace se týkají zejména metody formátu dat, popisu sloupců, typů vazeb, vytváření automaticky generovaných čísel, atd. Všechna specifika byla implementovány do programu díky uživatelských typům, které můžete najít v záložce "Rozšířené" (dialogové okno Oprava atributu).
Note: Specifické vlastnosti jsou závislé na výběru datového typu atributu. Některá nastavení by neměla mít vliv na aktuálně vybrané datové typy. Což znamená, že můžete vybrat např. datový typ „Ano/Ne” a vložit hodnotu 10 do editpole “Decimal precision for numeric types”, přestože je to z principu špatně.

Relace

Prosím klikněte pravým tlačítkem na linku vazby a vyberte položku "Opravit relaci" z pop-up menu. Pak kliknutím na záložku "Rozšířené" se zobrazí následující dialog:
#


Universal R.E. - MS Access

MS Access

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu. Na výběr máte z následujících možností:
  • Access 97
  • Access 2000

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .

Nastavení nativního připojení k Accessu

MS Access databáze

Soubor *.mdb

Heslo k databázi

Zde vepište heslo pro databázi, pokud je heslem chráněna

Informační soubor pracovní skupiny

Tento soubor stanoví jednotlivá uživatelská práva, viz. obrázek níže.
Admin je jméno uživatele, Entita1 až Entita3 jsou názvy entit.

Nastavení

Load referential integrity

Načíst referenční integritu

Load indexes

Načíst indexy

Load queries

Načíst dotazy

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.

Doplňující informace

Reverse engineering pro MS Access 97 a 2000 byl vyřešen za pomocí šablon. Šablony si můžete samozřejmě upravit podle svého uvážení. Nabízíme Vám tak možnost ovlivnit například způsob či množství načtených dat.
Připojení k databázi lze uskutečnit přes knihovny DAO 3.5 (MS Access 97) a DAO 3.6 (MS Access 2000). (Knihovny jsou dodávané spolu s databázi). CASE Studio 2 umožňuje načíst data i v případě, že používáte k zabezpečení Vašich dat buď heslo pro přístup k databázi anebo jste definovali zabezpečení dat na uživatelské úrovni pomocí informačního souboru pracovní skupiny. Tyto informace musíte zadat v příslušném okně. Pokud jste uvedli i informační soubor pracovní skupiny, lze načíst data i podle uživatelů tabulek.
Upozornění: Vzhledem k tomu, že v MS Accessu lze vytvořit referenční integritu i za pomocí jedinečných indexů, načítají se všechny jedinečné indexy a unique sloupce jako alternativní klíče.

#


Universal R.E. - MS Access2

MS Access - specifika

Použití indexu při vytváření referenční integrity

Při návrhu referenční integrity v CASE Studio lze vytvořit referenci mezi dvěmi entitami za pomocí primárních klíčů, jedinečných atributů a alternativních klíčů. Vzhledem k tomu, že v MS Accessu na rozdíl od většiny jiných relačních databází, lze vytvářet referenční integritu i přes jedinečné indexy ale ne přes alternativní klíče, které MS Access nezná, musíte jedinečné indexy které slouží k zajištění referenční integrity mezi entitami zadat jako alternativní klíče. Při generování výsledného VBA modulu pro fyzické vytvoření navržené struktury, CASE Studio 2 automaticky vygeneruje všechny alternativní klíče jako jedinečné indexy.

Vytvoření tabulek

CASE Studio 2 negeneruje jako výsledek návrhu tak jako u jiných relačních databází SQL skript, ale vygeneruje funkční zdrojový kód v programovacím jazyce VBA, který lze spustit přímo v Accessu jako modul. Jedinou podmínku pro spuštění zdrojového kódu je přítomnost knihoven DAO 3.5 při generování tabulek pro MS Access 97 anebo DAO 3.6 pro MS Access 2000. Nezapomeňte proto v menu "Nástroje" -> "Odkazy…" patřičnou knihovnu zatrhnout.

Postup pro fyzické vytvoření tabulek a dotazů

1. Vytvořte návrh databázové struktury (model) v CASE Studiu 2
2. Vytvořte nový MODUL v MS Access 2000Create a new module
3. Překopírujte výsledný SQL script z CASE Studia 2 do nového modulu v MS Access 2000
4. Klikněte v MS Access na hlavní menu a vyberte Nástroje - Odkazy.
5. Poté vyberte a zatrhněte "Microsoft DAO 3.6 Object Library." pro MS Access 2000 (DAO 3.5 pro MS Access 97)
6. Umístěte kurzor někam do hlavní procedury Main()
7. Spusťte kód. (Klikněte na tlačítko Spustit popřípadě stiskněte F5 v MS Access)

#


Data types

Podporované datové typy

Access 2000

název

fyzický název
AutoNumber LI
dbLong
AutoNumber RID
dbGUID
Byte
dbByte
Currency
dbCurrency
Date/Time
dbDate
Double
dbDouble
Hyperlink
dbMemo
Integer
dbInteger
Long Integer
dbLong
Memo
dbMemo
OLE Object
dbLongBinary
Replication ID
dbGUID
Single
dbSingle
Text
dbText
Yes/No
dbBoolean


Data types

Podporované datové typy

Access 97

název

fyzický název
AutoNumber LI
dbLong
AutoNumber RID
dbGUID
Byte
dbByte
Currency
dbCurrency
Date/Time
dbDate
Double
dbDouble
Hyperlink
dbMemo
Integer
dbInteger
Long Integer
dbLong
Memo
dbMemo
OLE Object
dbLongBinary
Replication ID
dbGUID
Single
dbSingle
Text
dbText
Yes/No
dbBoolean


MS SQL 2000 - proměnné

MS SQL 2000 - uživatelské proměnné

Entita

Klikněte prosím pravým tlačítkem na entitu a vyberte položku Opravit entitu z pop up menu. Pak kliknutím na záložku "Rozšířené" bude zobrazen následující dialog:

Atribut

CASE Studio 2 obsahuje rozšířenou podporu pro MS SQL 2000. Prosím zvolte Editace atributu a přejděte na záložku Rozšířene, kde uvidíte následující dialog:
#


R.E. pro MS SQL - nativní připojení

MS SQL - nativně

Databázový server

Název serveru a datábáze v následujícím formátu
‹server›:‹database›

Nastavení

Load Triggers

Načítat triggery

Load Procedures

Načítat procedury

Indexes

Načítat indexy

Views

Načítat pohledy

Permissions

Načítat práva


Universal R.E. - MS SQL 2000

MS SQL 2000

v menu prosím vyberte následující: Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu.

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.


Reverse Engineering - MS SQL via ODBC

R.E. pro MS SQL via ODBC

MS SQL via ODBC

Alias

Možnost uložení nastavení pod vaším Alias. Pokud jednou nastavení uložíte, mužete příště použíj jen výběr Alias.

ODBC Verze

Můžete vybrat kteroukoliv.

Nastavení

Load Triggers

Načíst triggery

Load Procedures

Načíst procedury

Indexes

Načíst indexy

Views

Načíst pohledy

Permissions

Načíst práva


Reverse Engineering - MS SQL via ADO

R.E. pro MS SQL via ADO

MS SQL via ADO

Nastavení

Load Triggers

Načíst triggery

Load Procedures

Načíst procedury

Indexes

Načíst indexy

Views

Načíst pohledy

Permissions

Načíst práva


Data types

Podporované datové typy

MS SQL 2000

název

fyzický název
BigInt
Bigint
Binary
Binary
Bit
Bit
DateTime
Datetime
Decimal
Decimal
Empty
Float
Float
Char
Char
Image
Image
Integer
Integer
Money
Money
NChar
Nchar
NText
Ntext
Numeric
Numeric
NVarChar
Nvarchar
Real
Real
SmallDateTime
Smalldatetime
SmallInt
Smallint
SmallMoney
Smallmoney
Sql_Variant
Sql_variant
Text
Text
TimeStamp
Timestamp
TinyInt
Tinyint
UniqueIdentifier
Uniqueidentifier
VarBinary
Varbinary
VarChar
Varchar


Data types

Podporované datové typy

MS SQL 7

název

fyzický název
Binary
Binary
Bit
Bit
DateTime
Datetime
Decimal
Decimal
Empty
Float
Float
Char
Char
Image
Image
Integer
Integer
Money
Money
NChar
Nchar
NText
Ntext
Numeric
Numeric
NVarChar
Nvarchar
Real
Real
SmallDateTime
Smalldatetime
SmallInt
Smallint
SmallMoney
Smallmoney
Text
Text
TimeStamp
Timestamp
TinyInt
Tinyint
UniqueIdentifier
Uniqueidentifier
VarBinary
Varbinary
VarChar
Varchar


Data types

Podporované datové typy

MS SQL 6.5

název

fyzický název
Binary
Binary
Bit
Bit
DateTime
Datetime
Decimal
Decimal
Empty
Float
Float
Char
Char
Image
Image
Integer
Integer
Money
Money
Numeric
Numeric
Real
Real
SmallDateTime
Smalldatetime
SmallInt
Smallint
SmallMoney
Smallmoney
Text
Text
TimeStamp
Timestamp
TinyInt
Tinyint
VarBinary
Varbinary
VarChar
Varchar


MySQL 3.23 - generování sql scriptu

MySQL 4 / 3.23 - specifika

Generování sql scriptu

Možnost generovat indexy automaticky jako foreign keys
#


MySQL 3.23 - proměnné

MySQL 4 / 3.23 - Uživatelské proměnné

Entita

Klikněte pravým tlačítkem na entitu a vyberte položku Opravit entitu. Pak přejděte na záložku "Rozšířené" pro následující dialog.

Attributy

CASE Studio 2 má ve verzi 2.10 rozšířenou podporu pro MySQL 4 a 3.23. Zvolte opravit atribut a klikněte na záložku "Rozšířené" pro následující dialog.

Relationship

Pravým kliknutím myši na linku relace se zobrazí pop up menu, ze kterého prosím vyberte Opravit relaci Pak zvolte záložku "Rozšířené" pro následující dialog.

Dodatečné informace

Indexy mohou být definovány buď dotazem nebo výběrem atributů.
Relationship constraint name bude použit pro specifikaci Indexu (generován během generování SQL).
#


MySQL 3.23 - set and enum

MySQL 4 / 3.23 - specifikace

datové typy SET and ENUM

Při práci s modelem pod MySQL databázi, je možno snadno specifikovat datové typy SET a ENUM. Např.: set(ano, ne)
Nejdříve vyberte jako typ "Set"
pak přejděte na záložku "2". Zde, v Def můžete snadno definovat hodnoty jako "ano, ne"

Stejnou cestou je možno definovat datový typ Enum
#


Universal R.E. - MySQL

MySQL

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu. Na výběr máte z následujících možností:
  • Access 97
  • Access 2000
  • DB version 7.1
  • MySQL 3.23
  • MySQL 4
  • MS SQL 2000
  • Oracle
  • Oracle 9i
  • PostgreSQL
  • Sybase ASE

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Nastavení

Load unique constraints

Načíst Unique constraints

Load indexes

Načíst Indexy

Load unique indexes as alternative keys

Načíst unique indexy jako alternativní klíče

Load users

Načíst informace o uživatelích

Load permissions

Načíst uživatelská práva.

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.

Vlastnosti přidané do verze 2.10

Komentáře tabulek se načítají do části “Popis” v entitě, možnost volby načtení: indexů, uniqueindexů jako alternativních klíčů, referenční integrity, uživatelů, oprávnění.
Více o MySQL naleznete na stránce o MySQL.
Při Reverse engineeringu v MySQL 4 je přidán checkbox "Load system commentary of InnoDB tables" - pokud není zaškrtnuto, tak se filtrují systémové komentáře InnoDB tabulek (tzn. vše za textem "; InnoDB free: " včetně tohoto textu se do komentáře tabulky nedá).
#


Konverze modelu z MySQL 3.23 do MySQL 4

Konverze modelu z MySQL 3.23 do verze MySQL 4

Jak zkonvertovat model v MySQL 3.23 do MySQL 4

Konverze modelu z jedné verze MySQL do vyšší (4) obsahuje drobnou odlišnost, týkající se typu Integer.
Rozdíly mezi verzemi jsou zobrazeny níže

MySQL 3.23 - editace atributu

Rozdílnost v zobrazování

Konverze modelu do MySQL4 z MySQL3.23 má specifickou vlastnost, související s proměnnou Integer. CASE Studio 2 zde jinak zobrazuje vlastnost typu Integer (nazvaná Maximum display size). Oproti tomu ve verzi 3.23 se Integer definuje delkou v políčku Length.

MySQL 4 - editace atributu

Zatímco ve verzi MySQL4 je již tato specifikace uvedena v záložce "Rozšířene" jako "Maximum display size".

Konverze modelu z 3.23 do MySQL4

  • V případě konverze je potřeba stáhnout potřebnou šablonu "Conversion Length to Maximum display size" z website http:www.casestudio.com.
  • Poté klasicky převeďte model z v. 3.23 (menu:"Model"->"Převod na jinou databázi" (viz Konverze databáze ) na model verze MySQL 4.
  • Pokud nemáte šablonu naimportovánu, prosím naimportujte ji.
  • Nyní prosím spusťte skript nazvaný "Conversion Length to Maximum display size" k dodatečnému převodu datového typu Integer. Skript spustíte v menu:Add in->Conversion Length to Maximum display size .
Toť vše. Tímto postupem byl model kompletně převeden z MySQL ver.3.23. do ver. 4
#


MySQL 3.23 - typy tabulek

MySQL 4 / 3.23 - specifika

Podporované typy tabulek

Od verze 2.10, jsou v CASE Studiu 2 podporovány následující typy tabulek
  • HEAP
  • ISAM
  • MyISAM
  • MERGE
  • BDB
  • innoDB
#


MySQL 3.23 - nové datové typy

MySQL 4 / 3.23 - specikace

Nově podporované datové typy

Od verze 2.10 jsou programem podporovány následující datové typy:
  • Float (m)
  • Float (m, d)
  • Double (m, d)
  • Bit
  • Bool

viz všechny datové typy.

#


Data types

Podporované datové typy

mySQL 4.0

název

fyzický název
Bigint
Bigint
Bit
Bit
Blob
Blob
Bool
Bool
Date
Date
Datetime
Datetime
Decimal
Decimal
Double(m,d)
Double
Double
Double
Enum
Enum
Float(m,d)
Float
Float(m)
Float
Float
Float
Char
Char
Integer
Integer
Longblob
Longblob
Longtext
Longtext
Mediumblob
Mediumblob
Mediumint
Mediumint
Mediumtext
Mediumtext
Set
Set
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Tinyblob
Tinyblob
Tinyint
Tinyint
Tinytext
Tinytext
Varchar
Varchar
Year
Year


Data types

Podporované datové typy

mySQL 3.23

název

fyzický název
Bigint
Bigint
Blob
Blob
Date
Date
Datetime
Datetime
Decimal
Decimal
Double
Double
Enum
Enum
Float
Float
Char
Char
Integer
Integer
Longblob
Longblob
Longtext
Longtext
Mediumblob
Mediumblob
Mediumint
Mediumint
Mediumtext
Mediumtext
Set
Set
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Tinyblob
Tinyblob
Tinyint
Tinyint
Tinytext
Tinytext
Varchar
Varchar
Year
Year


Oracle 9 - specifikace

Oracle 9i - specifikace

generování skriptu SQL

Záložka Rozšířené a její specifikace:

  • Use Quations - zaškrtnout pro generování tabulek, atributů, tablespace, constraint, index and trigger names in quotation marks
  • Generate owner - zaškrtnout pro přidání informací o Vlastníkovi (Schema) do tabulky, indexu, trigger names. tato volba není možná při generování domén (TYPE a TYPE BODY), procedur, pohledů, uživatelských triggerů a balíčků (Packages a Package Bodies).
  • Generate name of Check Constraint - zaškrtnout pro generování Check Constraint names.
  • Generate name of Unique Constraint - zaškrtnout pro generování Unique Constraint names
  • Generate name of NULL/NOT NULL Constraint - zaškrtnout pro generování NULL/NOT NULL Constraint names
  • Generate comments on tables - zaškrtnout pro generování příkazu "Comment on table" pro tabulky, které obsahují text v záložce "description (Oprava entity)"
  • Generate comments on attribute - zaškrtnout pro generování příkazu "Comment on column" command for a table which includes a text in the "description" tab. (Editing entity)
  • Generate Functions - zaškrtnout pro generování funkcí. Všechny uživatelské funkce jsou přístupné v menu - > Text Objects menu functions are accessible via the Model - > Textové objekty.
  • Generate Packages, Packages Bodies, Synonyms, Sequences - check zaškrtnout pro generování výše uvedených položek.
  • Drop Functions, Packages, Packages Bodies, Synonyms, Sequences - zaškrtnout pro zrušení výše uvedených položek
  • Terminator - specifikace terminátoru (implicitně "\")
  • prosím zaškrtnout checkbox What to generate tab pro zpřístupnění checkboxu Generate Procedures
Poznámka: Zaškrtnutí checkboxu "Uživatelské typy jako domény" (záložka "jak generovat"') nemá v případě generování Oracle 9i žádný vliv na výsledný skript
#


Oracle 9 - proměnné

Oracle 9i - Uživatelské proměnné

Entita

Prosím klikněte pravým tlačítkem na entitu a vyberte z pop-up nabídky "Oprava entity" Poté prosím vyberte záložku "Rozšířené" a uvidíte následující dialog:

Attribut

CASE Studio 2 ver. 2.10 obsahuje rozšířenou podporu Oracle 9i. Přejděte prosím na editaci atributů a vyberte záložku Rozšířené.

Relace

Prosím klikněte pravým tlačítkem na linku relace a vyberte položku Opravit relaci. Pak kliknutím na záložku Rozšířené se zobrazí následující dialog

Indexy

Prosím klikněte pravým tlačítkem na entitu a vyberte z pop-up nabídky "Oprava entity" Poté prosím vyberte záložku "Indexy". Klikněte na tlačítko ADD pro zobrazení následujícího dialogového okna.

Alternativní klíče

Prosím klikněte pravým tlačítkem na entitu a vyberte z pop-up nabídky "Oprava entity" Poté prosím vyberte záložku "Alternativní klíče". Klikněte na tlačítko ADD pro zobrazení následujícího dialogového okna.
#


Universal R.E. - Oracle

Oracle

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu. Na výběr máte z následujících možností:
  • Access 97
  • Access 2000
  • DB version 7.1
  • MySQL 3.23
  • MySQL 4
  • MS SQL 2000
  • Oracle
  • Oracle 9i
  • PostgreSQL
  • Sybase ASE

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .
Zvolit můžete jak ODAC

tak i ADO

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Nastavení

Load all accessible objects "ALL_"

Načíst všechny přístupné objekty "ALL_SYSTEM..." nebo např. "ALL_USER..."

Load table space and storage parameters for tables

Načíst Table Space a Storage parametry k tabulkám

Load check constraints

Načíst Constraints

Load unique constraints

Načíst Unique constraints

Load indexes

Načíst Indexy

Load table space and storage parameters for indexes

Načíst Table Space a Storage parametry k indexům

Load triggers

Načíst triggery

Load procedures and functions

Načíst procedury a funkce

Load views

Načíst pohledy

Load packages and package bodies

Načíst Packages a Package bodies

Load users, groups and permissions

Načíst informace o uživatelích, uživatelských skupinách a právech.

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.


Oracle 9 - textové objekty

Oracle 9i - specifika

Textové objekty

CASE Studio 2 rozděluje textové objekty (TO) do následujícících skupin:
  • Functions
  • Packages
  • Package bodies
  • Object types
  • Object type bodies
  • Sequences
  • Synonyms.

#


Oracle 9 - verifikace modelu

Oracle 9i - specifika

Kontrola modelu:

Při verifikaci modelu (v menu "Model->"Kontrola modelu" nebo CTRL+F9) se kontroluje následující:
  • 1. duplicita constraint names
  • 2. duplicita index names, primary and unique constraint names
  • 3. duplicita constraint definitions (unique)
#


Oracle 9 - doplnující informace

Oracle 9i - specifika

Doplňující informace

  • Obsah pole v záložce"def" (editace atributu, záložka "2" ) bude generován v SQL scriptu až po definování datových typů. Např.: char (10) def

  • Obsah pole v záložce"def2" (editace attributu, "2" tab) bude generován v SQL scriptu jako poslední položka, až po všechny attributy budou vázany k položkám

  • Všechny komentáře vázané k tabulkám jsou dostupné v záložce "Description" (Opravit entitu)
#


Data types

Podporované datové typy

Oracle 8

název

fyzický název
BFILE
BFILE
Blob
Blob
Clob
Clob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Long
Long
Long raw
Long raw
Mlslabel
Mlslabel
NChar
NChar
Number(x.y)
Number
Number
Number
NVarchar2
NVarchar2
Raw
Raw
Real
Real
Rowid
Rowid
Smallint
Smallint
Urowid
Urowid
Varchar2
Varchar2


Data types

Podporované datové typy

Oracle 9i

název

fyzický název
Bfile
Bfile
Blob
Blob
Clob
Clob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float(b)
Float
Float
Float
Char
Char
Integer
Number
Interval day to seconds
Interval day
Interval year to month
Interval year
Long
Long
Long raw
Long raw
NClob
NClob
NChar
NChar
Number(x,y)
Number
Number
Number
NVarchar2
NVarchar2
Raw
Raw
Real
Real
Rowid
Rowid
Smallint
Number
Timestamp
Timestamp
Timestamp with local time zone
Timestamp
Timestamp with time zone
Timestamp
Urowid
Urowid
Varchar2
Varchar2


Reverse Engineering pro Paradox

Seznam Adresářů

Zde můžete napsat seznam adresářů, ze kterých chcete načíst databázovou strukturu. Příklad: C:\Program\MyProject\Data\

Nastavení

Indexy

Načte se i struktura indexů.

Načíst adresáře do Storage

U každé entity se do storage načte adresář, ve kterém se tabulka fyzicky nachází.

Po načtení uzavřít

Po načtení struktury tabulek se tento formulář automaticky uzavře.

Tlačítka:

Pomocí dialogu přidáte do seznamu adresářů jeden adresář.
Načte soubory do Seznamu načítaných do souborů. Zachovává původní výběr souborů určných pro načtení. Můžete bez obav změnit Seznam adresářů a pak můžete tímto tlačítkem synchronizovat oba seznamy. Soubory které byly původně vybrány pro načtení zůstanou zaškrtnuty, pokud jejich adresář zůstane v seznamu.
Spustí se samotný reverse engineering.
Nápověda


Data types

Podporované datové typy

Paradox

název

fyzický název
Autoinc
Autoinc
Blob
Blob
Boolean
Boolean
Date
Date
Decimal
Decimal
Empty
Character
Char
Integer
Integer
Money
Money
Numeric
Numeric
Smallint
Smallint
Time
Time
Timestamp
Timestamp


PostgreSQL - Proměnné

PostgreSQL - uživatelské proměnné

Entita

Klikněte prosím pravým tlačítkem na entitu a vyberte položku Opravit entitu z pop up menu. Po kliknutí na záložku "Rozšířené" bude zobrazen následující dialog:

Relace

Prosím klikněte pravým tlačítkem na relaci a vyberte položku Opravit relaci z pop up menu. Po kliknutí na záložku Rozšířené se zobrazí následující dialog:

Indexy

Pro vyvolání následujícího okna prosím editujte index (z dialogového okna Entity) a kliknětě na záložku Rozšířené
#


PostgreSQL - Universal R.E.

Universal R.E. - PostgreSQL

PostgreSQL

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu.

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Nastavení

Load check constraints.

Načíst Check constraints.

Load unique constraints.

Načíst Unique constraints.

Load referential integrity

Načíst Referenční integritu.

Load indexes

Načíst Indexy.

Load triggers

Načíst triggery.

Load procedures and functions

Načíst procedury a funkce.

Load users, groups and permissions

Načíst informace o uživatelích, uživatelských skupinách a právech.

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.


PostgreSQL - Domény

PostgreSQL - Uživatelské datové typy a domény

Slovník

CASE Studio 2 podporuje jak Uživatelské datové typy, tak i domény. Obojí je možno najít ve slovníku. Prosím klikněte v menu Slovník->Uživatelské datové typy.

Rozdíl

Jak je patrno z příkladu, Domény a Uživatelské datové typy jsou uloženy ve slovníku. Rozdíl je patrný v pravém sloupci - Typ. Domény používají známé datové typy (v našem příkladě Integer). Oproti tomu uživatelské datové typy jsou definovány jako (other data type).
Tímto způsobem je velmi snadne rozeznat rozdíly mezi Domenami a uživatelskymi typy po načtení struktury databáze (reverse engineering).

Jak vytvořit domény

Jednoduše. Klikněte prosím na tlačítko Add
Otevře se následující dialogové okno. Prosím nezapomeňte nechat políčko "Uživatelský typ" volné (nic nevyplňovat).

Jak vytvořit uživatelský datový typ?

nejdříve klikněte na tlačítko Add.
Otevře se následující dialogové okno.
Nyní se ujistěte, že v poli Uživatelský typ voláte položku vytvořenou v 'User-Types definitions'. Tyto 'User-Types definitions' musí být definovány v dialogovém okně Textových objektů.

Textové objekty

Definice uživatelských typů

Prosím v menu přejděte:Model->Textové objekty. Pak pravým kliknutím na položku "User Type Definition" vyvoláte pop up menu, ze kterého prosím vyberte položku "Přidat". Pak vložte název nové definice a můžete začít definovat obsah. V případě, že chcete ukončit definování obsahu, musíte nejdříve kliknout v liště na ikonku potvrdit (zelená) nebo odmítnout (červený křížek). Na obrázku jsou nasimulovány dvě uživatelské procedury. Input (c_in) a Output (c_out). Uživatelské procedury jsou uchovávány v příslušné sekci.

Uživatelské procedury (User-Types Procedures)

Pravým kliknutím na položku User-Types Procedures vyvoláte pop-up menu, ze kterého prosím vyberte položku Přidat. Poté vložte název nové procedury a můžete začít definovat obsah. V případě, že chcete ukončit definování obsahu, musíte nejdříve kliknout v liště na ikonku potvrdit (zelená) nebo odmítnout (červený křížek).
#


Data types

Podporované datové typy

PostgreSQL 7

název

fyzický název
(other data type)
Bigint
BigInt
Bit
Bit
Bit varying
Bit varying
Boolean
Boolean
Box
Box
Cidr
Cidr
Circle
Circle
Date
Date
Double precision
Double precision
Char
Char
Inet
Inet
Integer
Integer
Interval
Interval
Line
Line
Lseg
Lseg
Macaddr
Macaddr
Money
Money
Numeric
Numeric
Oid
Oid
Path
Path
Point
Point
Polygon
Polygon
Real
Real
Serial
Serial
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Timestamp with time zone
Timestamp with time zone
Time with time zone
Time with time zone
Varchar
Varchar


Data types - PostgreSQL 7.3

Podporované datové typy

PostgreSQL 7.3

název

fyzický název
(other data type)
Bigint
Bigint
Bit
Bit
Bit varying
Bit varying
Boolean
Boolean
Box
Box
Cidr
Cidr
Circle
Circle
Date
Date
Double precision
Double precision
Char
Char
Inet
Inet
Integer
integer
Interval
Interval
Line
Line
Lseg
Lseg
Macaddr
Macaddr
Money
Money
Numeric
Numeric
Oid
Oid
Path
Path
Point
Point
Polygon
Polygon
Real
Real
Serial
Serial
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Timestamp with time zone
Timestamp with time zone
Time with time zone
Time with time zone
Varchar
Varchar


Sybase - proměnné

Sybase ASE - uživatelské proměnné

Entita

Prosím klikněte pravým tlačítkem myši na entitu a z popup menu vyberte položku "Opravit entitu". Pak přejděte na záložku "Rozšířené", kde uvidíte následující dialogové okno:

Attribut

CASE Studio 2 obsahuje rozšířenou podporu pro Sybase ASE. Přejděte na editace atributu a vyberte záložku "Rozšířené" pro následující dialog:
#


Universal R.E. - Sybase Adaptive Server Enterprise 12.5

Universal R.E. - Sybase ASE

Sybase Adaptive Server Enterprise 12.5

Následující dialogové okno zobrazíte následujícím způsobem:
Klikněte na Soubor | Reverse Engineering | Universal Reverse Engineering.

Alias

Zde můžete buďto vybrat již existující Alias z drop down menu, popřípadě můžete vytvořit alias nový. V případě, že vytvoříte nový alias, nezapomeňte si jej uložit pomocí tlačítka Uložit . Později bude zapsán do drop down menu, takže bude moci použít zvolené nastavení i při dalším připojení k databázi.

Spustit Script

Vyberte příslušný Script z drop down menu.

Připojení přes

Zvolte metodu připojení k databázi. Pro bližší specifikaci klikněte na tlačítko Nastavení, .
Zvolit můžete jak Nativní připojení (connection string <server> : <database> )
tak i ODBC.

User name

Název uživatele na SQL serveru

Password

Heslo uživatele

Nastavení

Zde si nastavíte, co všechno se má načíst.

Nastavení

Načíst referenční integritu

Zatrhněte pro načtení referenční integrity

Načíst check constraints

Zatrhněte pro načtení Check Constraints

Načíst unique constraints

Zatrhněte pro načtení Unique constraints

Načíst indexy

Zatrhněte pro načtení indexů

Načíst triggery

Zatrhněte pro načtení triggerů

Načíst procedury

Zatrhněte pro načtení procedur

Načíst pohledy

Zatrhněte pro načtení pohledů

Načíst uživatele a skupiny

Zatrhněte pro načtení informací o uživatelích a uživatelských skupinách

Load práva

Zatrhněte pro načtení práv

Tlačítka

Připojit

Připojení k databázi.

Odpojit

Odpojení od databáze.

Spustit

Spuštení reverse engineeringu.

Help

Nápověda

Po načtení zavřít

Formulář se po skončení reverse engineering automaticky zavře.

RE pro Sybase ve verzi 2.10

Ve verzi 2.10 došlo k vylepšení rozpoznavání typů FLOW, REAL


Data types

Podporované datové typy

Sybase ASE 12.5

název

fyzický název
Binary
binary
Bit
bit
DateTime
datetime
Decimal
decimal
Double Precision
double precision
Float(n)
float
Float
float
Char
char
Image
image
Integer
integer
Money
money
NChar
nchar
Numeric
numeric
NVarChar
nvarchar
Real
real
SmallDateTime
smalldatetime
SmallInt
smallint
SmallMoney
smallmoney
Sysnázev
sysname
Text
text
TimeStamp
timestamp
TinyInt
tinyint
UniChar
unichar
UniVarChar
univarchar
VarBinary
varbinary
VarChar
varchar


Data types

Podporované datové typy

Sybase Anywhere

název

fyzický název
Bigint
BigInt
Binary
Binary
Date
Date
Decimal
Decimal
Double
Double
Empty
Float
Float
Char
Char
Integer
Integer
Long Binary
Long Binary
Long Var
Long Var
Numeric
Numeric
Real
Real
Smallint
Smallint
Time
Time
Timestamp
Timestamp
Varchar
Varchar


Editace procesu

Proces

Název

Název procesu

Minispecifikace

Textový popis procesu. Pokud checkbox zaškrtnete, přijdete o další rozklad na procesy.

Poznámka

Jakýkoliv text.


Editace terminátoru

Název

Název terminátoru.


Editace datastoru

Název

Název datastoru

Entita

Entita odpovídající tomuto datastoru v ERD.

Editace entity

Spustí dialogové okno pro Editaci vybrané entity

Kontrolovat přiřazení entity

Volba pro kontrolu (CTRL+F9 popř. Model --> Kontrola modelu)


Editace datového toku

Název

Název datového toku

Typ toku

Typ datového toku. Může být datový nebo řídící.


Tabulka datových toků

Na levé liště seznam procesů, na horní liště seznam datastorů a entit. V tabulce máte přehled, který proces čte nebo zapisuje z kterého datastoru.


Správce verzí - Úvod

Jak začít

  1. Vytvořte nový model, nebo otevřete již existující model.
  2. V menu "Model" zvolte položku "Vložit model do správce verzí". Objeví se tento formulář

  3. Do políčka soubor vložte název souboru s projektem, pokud možno v samostatném adresáři. Použijte k tomu tlačítko
  4. Teď je model součástí projektu, a je spravován správcem verzí.
Více o správci verzí zde.


Správce verzí - práce

Pokud nevíte, jak vložit model do správce verzí, začněte zde.

Tlačítka

OUT

Check Out, vytažení modelu (revize) z repository jeho otevření.

IN

Check In, uložení modelu (revize) do repository. Při Check In změněného modelu se zobrazí tento formulář.

Zobrazení stromu vzestupně, sestupně, podle verzí

Volba pomocí příslušných tlačítek.

DETAIL

Název

Název revize.

Verze

Číslo revize.

Vytvořeno

Datum a čas vytvoření revize.

Modifikováno

Datum a čas poslení aktualizace revize. n.

Poznámka

Jakýkoliv text

Symboly

Revize je otevřena, ale v modelu nedošlo k žádné změně.
Revize je otevřena a v modelu došlo ke změně. Při pokusu o Check In změněné revize (modelu) se zobrazí tento formulář. Toto závisí na nastavení prostředí.
Revize
Verze
Pokud chcete projekt zálohovat, zálohujte celý adresář, ve kterém je projekt uložen. Pokud zakládáte nový projekt, vytvořte mu nový adresář, předejdete tím spoustě problémů. Projekt, to je
  • soubor s projektem, ve kterém je seznam jednotlivých souborů s modely.
  • soubory s modely. (automatický se tvoří v tomtéž adresáři, ve kterém je soubor s projektem)
Více o souborech a jejich příponách zde.


Správce verzí - Ukládání revizí

Uložit do stávající revize ‹cislo_revize›

Změněný model se uloží do stávající revize. Pokud má táto revize nějaké následovníky, je tato volba zašedlá, nelze ukládat. Musíte vytvořit novou verzi nebo revizi (můžete to obejít tím, že revizi uložíte přímo z pracovní plochy. Nedoporučujeme)

Uložit do nové revize

Změněný model se uloží do nové revize.

Uložit do nové verzn ‹cislo_verze›

Změněný model se uloží do nové verze. Číslo verze je číslem poslední vytvořené verze + 1, ve formátu "‹cv›.0"

Neukládat

Změněný model se neuloží, o všechny změny příjdete.


Porovnání verzí

Pojmy:

Novější verze

aktuální verze, kterou budete porovnávat s ostatními verzemi. Její číslo je v záhlaví formuláře.

Starší verze

verze, se kterou porovnáváme novější verzi. Je to verze z comboboxu, nebo z Otevření starší verze.
Novější a starší neznamená čas vytvoření, ale pouze vztah mezi aktuální verzí a porovávanou verzí. Starší verze může být fakticky novější a obráceně.

Tlačítka

Otevření starší verze. Zde otevřeme a porovnáme starší verzi přímo ze souboru, bez použití správce verzí.

G

porovnání podle GUID Každý objekt (entita, atribut atd) má svůj jedinečný identifikátor (GUID). Pokud mají objekty ve dvou různých verzích stejné GUID, berou se jako stejný objekt, a zobrazí se změny mezi těmito dvěma objekty (i když změníte název objektu). Pokud maji různé GUID, berou se jako dva různé objekty. Tohle porovnání je vhodné pro modely ve správci verzí. Takto můžete porovnávat pouze modely se společnou minulostí, modely které vznikly každý samostatně takto porovnávat nelze, volba je zašedlá.

N

porovnání podle názvu objektu Porovnává se podle názvu objektu.

F

porovnání podle fyzického názvu objektu Porovává se podle fyzického názvu objektu (např. atribut podle názvu sloupce, entitu podle názvu tabulky). Je vhodné např. pro porovnání ručně vytvořeného modelu a modelu vytvořeného pomocí reverse engineeringu.

Combobox

Pokud porovnáváte modely ze správce verzí, jsou v comboboxu všechny verze ze správce, kromě aktuální.
Upozornění:
porovnává se se staršími verzemi uloženými na disku, pokud je některé starší verze otevřena a jsou v ní změny, jsou tyto změny ignorovány. Toto se samozřejmě netýká novější verze.
Starší verze je ve správci verzí jedním z následovníků aktuální novější verze.
Starší verze je ve správci verzí jedním z předchůdců aktuální novější verze.
Starší verze je vůči aktuální novější verzí mimo vývojovou linii.

Symboly ve stromu

Objekt je nový, ve starší verzi nebyl.
Objekt je pouze ve starší verzi, v novější verzi není.
V Objektu je v novější verzi oproti starší verzi změna.

Barvy v přehledu vpravo.

Žlutě

Objekt nebo jeho vlastnost je nová, ve starší verzi nebyla.

Zeleně

Objekt nebo vlastnost se v novejší verzi oproti starší verzi změnila.

Modře

Objekt nebo vlastnost byla z novější verze vymazána, je pouze ve starší verzi.


Editor Šablon - Úvod

Editor šablon

Zde si můžete nadefinovat uživatelské šablony pro generování SQL skriptu, Rtf a HTML dokumentace, a uživatelské proměnné pro editory objektů.

Kategorie šablon

Jde jen o orientační členění, zařazení šablony do určité kategorie nemá vliv na její volání.

Default

Základní kategorie. Jsou v ní také umístěny všechny původní šablony při přechodu na verzi 2.2 z nížší verze.

Global

Zde doporučuji umístit šablony s globální platností (např. knihovny funkcí)

Database

Šablony pro generování SQL skriptu.

HTML

Šablony pro generování HTML dokumentace.

Rtf

Šablony pro generování Rtf dokumentace.

Events

Šablony, které se spouštějí na základě nějaké události v CASE Studiu.

Nastavení

Přímo spustitelný

Používá se jen pro šablony ve skriptovacích jazycích. Určuje, zda je skript přímo spustitelný. Musí obsahovat funkci Main.

Enabled

Je povoleno používání šablony. Pomocí této volby si můžete udělat více verzí šablon, a ty podle libosti povolovat či zakazovat. Pokud je šablona zakázána (není enabled), je ikonka ve stromu přeškrtnuta.

Vlastnosti

Název

Název šablony. Jde o fyzický název, nepoužívejte diakritiku.

Titulek

Popisnější název šablony. Ukazuje se např. v dialogu "Rtf report" místo názvu.

Skriptovací jazyk

Zde si vybíráte, zda je šablona napsána v jazyce šablon "template", nebo ve skriptovacím jazyce podporovaném technologií MS Scripting.

Kategorie

Zařazení šablony do kategorie.

Jazyk

Používá se jen pro šablony ve skriptovacích jazycích. Nastavuje se zde jazyková verze šablony. Protože se šablony navzájem vyhledávají a volají podle názvu a jazykové verze, můžete si tímto způsobem vytvořit více jazykových verzí šablon. Ale pokud nevytváříte více verzí, vřele doporučuji použít volbu "Jazykově nezávisla". Ta je první v seznamu. Nastavený jazyk se objeví ve stromu vedle názvu. Pokud jde o jazykově nezávislou verzi, nebo o šablonu napsanou v jazyku šablon, neobjeví se nic.

Událost

Používá se jen pro šablony ve skriptovacích jazycích. Zde si můžete nastavit událost, při které se v šabloně vyvolá procedura Main. Zatím je k dispozici jen událost "OnAppStart", která se vyvolá při spuštění programu. Musíte mít v nastavení prostředí zaškrtnutou volbu "spouštět událost OnAppStart". Je to z bezpečnostních důvodů.

Autor

Autor šablony.

Firma

Název společnosti, která šablonu vytvořila.

Verze

Verze šablony

Datum vytvoření

Datum vytvoření šablony

Datum úpravy

Datum úpravy šablony

Text

Vlastní zdrojový kod šablony.

Uživatelské proměnné skriptu.

Používá se jen pro šablony ve skriptovacích jazycích. Objevují se zde proměnné nadefinované v proceduře DefineVariables. Vice v dokumentací pro COM rozhraní.

Log

Používá se jen pro šablony ve skriptovacích jazycích. Je to terminálový výstup, do kterého můžete přes rozhraní Log posílat vlastní zprávy. Více v dokumentaci pro COM rozhraní.

Poznámka

Podrobnější popis šablony.

Doplňující informace

Priority šablon

Uživatelsky definované šablony mají vyšší prioritu nežli originální CASE Studio 2 šablony pouze v případě, že mají stejný název. Viz také Modifikace šablon.


Šablony - import

CASE Studio 2 - dodatečné šablony

Další šablony pro CASE Studio 2 můžete najít na adrese www.casestudio.com. Nalezenete tam šablony k volnému stažení ve formátu *.te2, což je formát speciálně vytvořený pro CASE Studio 2. Chystáme se na našich internetových stránkách uvádět celou řadu šablon, a to zejména od uživatelů, takže pokud máte zájem, zašlete nám Vaše šablony a my je poskytneme ostatním uživatelům. Naše adresa je: templates@casestudio.com
Zasláním šablon souhlasíte s následujícím:
  • Kterýkoliv uživatel smí měnit/modifikovat vaši šablonu podle svého vlastního uvážení a publikovat ji znovu jako novou šablonu.
  • Zaslaná šablona bude volně šiřitelná bez nároku na jakýkoliv honorář.

Jak naimportovat šablonu?

1) Zvolte příslušnou databázi
2) Klikněte na Model --> Editace šablon
3) Poté zvolte Šablony --> Import šablon
4) Klikněte na tlačítko Otevřít a vyberte příslušnou šablonu.
5) Klikněte na tlačítko Spustit (oku lahodící žlutý blesk).
#


Šablony - Modifikace

Templates - Modifikace

Editor šablon

Jak modifikovat šablonu?

1) Klikněte na Model --> Editace šablon.
2) Zvolte např. Uživatelské šablony (cokoliv kromě Read Only šablon).
3) Klikněte na tutéž ikonu pravým tlačítkem a zvoltet Přidat.
4) Vyberte šablonu z vysouvacího menu.
5) Klikněte na ikonu Kopírovat šablonu .
6) Ujistěte se, že máte šablonu stejného jména jako je originál.
7) Přidejte své SQL příkazy.
8) Klikněte na OK tlačítko.

Má uživatelská šablona vyšší prioritu?

Ano, ale jen v případě, že je stejného jména jako originální CASE Studio 2 šablona
#


Šablony - vytváření nových šablon

Editor šablon

Jak vytvořit novou uživatelskou šablonu?

1) Klikněte na Model --> Editace šablon.
2) Zvolte např. Uživatelské šablony (cokoliv kromě Read Only šablon).
3) Klikněte na tutéž ikonu pravým tlačítkem a zvoltet Přidat.
4) Klikněte na záložku Vlastnosti a vepište vlastní hodnoty
5) Přejděte na záložku Text a vepište SQL script pro šablonu
6) Projděte všechny záložky a vložte příslušné hodnoty
7) Klikněte na OK tlačítko.

Je nezbytné novou šablonu vyvolat!

K tomu je zapotřebí modifikovat systémovou šablonu (vytvořit kopii a dopsat/pozměnit obsah). Může to být např. šablona PERH_main (HTML složka - systémové šablony), šablona LERH_main (HTML složka - Systemová šablona), šablona CreateDatabase (Složka Databáze - System templates group) apod.

Důležité a zároveň užitečné informace o šablonách

  • Uživatelská šablona má vyšší prioritu pouze v případě, že je stejného jména jako originální CASE Studio 2 šablona
  • Proměnné jsou definovány např. v HTML systémové šabloně PERH (Language (Country)). Musíte vytvořit kopii pro přidání proměnných!
  • Velmi důležité jsou Spustitelné šablony. Znovu např. PERH (Language (Country)) Nezapomeňte zaškrtnout políčko Spustitelné v případě, že modifikujete šablonu!

#


Reporty

CASE Studio 2 vám poskytne velmi schopnou dokumentaci k vytvořenému modelu. CASE Studio 2 dokáže vygenerovat reporty jak ER diagramů, tak i DF diagramů. Výstupním dokumentem může být HTML report logického pohledu, HTML report fyzického modelu, RTF report fyzického modelu, popřípadě RTF report Data Flow diagramu. Veškeré reporty jsou velmi podrobné a obsahují informace jako např. Entity list, Relationship list, obrázek ERD diagramu, informace o User types, User Roles apod. Reporty lze vytvářet jak pro celkový model, tak i pro jednotlivé submodely. Lze si jednoduše vytvořit i vlastní rozsáhlé modely, bez znalosti HTML nebo RTF syntaxe. Velkou výhodou CASE Studia 2 je možnost vytváření vlastních jazykových verzí reportů za pomocí příslušných slovníkových šablon.
Ve verzi 2.10 byly v rámci generování HTML reportu přidany poznámky z modelu a správce verzí. Do fyz. reportu byl přidán výpis textových objektu a položka "user_type" (do data dictionary a columns) Dále byl do fyz. reportu přidán výpis parametru datového typu ve výpisu "tables". Také ukládání fyzických názvu HTML reportů (jedná se o velká a malá písmena v názvech) bylo uzpusobeno podminkám jiných OS (jako Linux, Unix)
Od verze 2.9 můžete upravit vzhled HTML reportů dle vlastních představ. Stačí vytvořit CSS soubor, ve kterém nadefinujete příslušné barvy, fonty, obrázky apod. CSS soubor musí být uložen ve složce STYLES! Prohlédněte si popis CSS prvků.

HTML - Logický ERD

HTML - Fyzický ERD

HTML - To-Do list

Ostatní reporty

Na výběr máte také další reporty, a to jak ve formátu HTML, tak i RTF. Uživatelé mají možnost ovlivnit výstup reportů také pomocí uživatelsky definovaných šablon!


To do list

Popisek prvkù Cascade Style Sheets

Popisek položek souboru "classic_yellow.css"

Od verze 2.9 můžete použít CSS styly a pozměnit vzhled svých HTML reportů! Vytvářejte profesionální HTML reporty svých databázových struktur, měňte barvy pozadí, fonty a další prvky podle svých přání.
Pravděpodobné umístění CSS souboru: C\program files\rksoft\casestudio2\styles\classic\classic_yellow.css
K tomu, abyste mohli používat své vlastní CSS styly permanentně, musíte vytvořit novou složku v adresáři STYLES a do té nakopírovat jeden již existující CSS soubor, například yellow_classic.css. Samozřejmě, poté je zapotřebí jej přejmenovat tak, aby byl CASE Studiem 2 automaticky rozpoznán jako styl nový. Máte-li vytvořenou novou složku a v ní nový CSS soubor, můžete začít vytvářet váš vlastní design HTML reportů.

Popisek položek souboru "cool.css"

Jak můžete vidět na našich příkladech, vzhled HTML reportů může být změněn velice snadno, a přitom zásadně. V případě, že potřebujete přidat nějaké informace o Vaší společnosti, můžete přidat text nebo logo na obrázek na pozadí (jako jsou např. yellow.png nebo cool.gif). Použít můžete jakýkoliv podporovaný formát (*.gif, *.jpg, *.png) pro obrázek pozadí v kterémkoliv rámci.
Pravděpodobná cesta k CSS souboru: C\program files\rksoft\casestudio2\styles\cool\cool.css
V našich příkladech předpokládáme, že Váš browser podporuje CSS (MSIE 5.5 a vyšší je doporučen). Avšak nezapomněli jsme ani na uživatele starších prohlížečů. Pro generování HTML reportů bez použití CSS prosím zrušte zatrhnutí pole "Použij CSS styl".
#


Generování SQL Scriptů

Generování

Spouští samotné generování SQL scriptu.

Prohlížení

Po stisknutí tlačítka si můžete ihned prohlédnout výsledný script

Konec

Ukončení generování

Stop

Násilné přerušení generování.

Help

Nápověda

Co generovat

Soubor

Název a umístění souboru, do kterého se vygeneruje SQL script

Domény

Bude se generovat příkaz Create Domain, případně jeho ekvivalent, pokud to databáze podporuje.

Drop domain

Bude se generovat příkaz Drop Domain

Tabulky

Budou se generovat tabulky.

Drop table

Budou se generovat příkazy Drop table. ke všem tabulkám.

Primární klíče

Někteří programátoři nepoužívají primární klíče a integritu řeší jinými prostředky, např. indexy. Není to dobrý postup, ale to je jejich věc. Proto máte volbu Primární klíče. Pokud ji zaškrtnete, kliče se automaticky vygenerují, jinak ne.

Indexy

Budou se generovat indexy.

Drop index

Bude se generovat příkaz DROP INDEX.

Referenční integrita

Bude se generovat referenční integrita. Pouze u těch platforem, které referenční integritu podporují.

Triggery

Budou se generovat triggery. Pouze u těch platforem, které triggery podporují.

Drop trigger

Bude se generovat příkaz DROP TRIGGER

Uživatelské triggery

Do scriptu se přidají triggry, které jsou připsány přímo k entitám, a také triggry ze seznamu triggrů.

Procedury

Do skriptu se přidají procedury ze seznamu triggrů.

Pohledy

Do skriptu se přidají pohledy ze seznamu trriggrů.

Alternativní klíče

Do skriptu se vygenerují alternativní klíče. Generují se v závislosti na databázovém serveru, většinou jako constraint unique.

Vsuvky před scriptem

Před script se přidají ruční doplňky. Definují se v seznamu trriggrů.

Vsuvky po scriptu

Za script se přidají ruční doplňky. Definují se v seznamu trriggrů.

Velikost písma

Nastavení písma pro vygenerovaný script. Na výběr jsou 3 možnosti:
  • nechat původní (default).
  • malé písmo
  • velké písmo

Zkontrolovat

Gives you choice to check the model before generating the script.

Role

Vytvoření uživatelských rolí

Uživatelé v rolích

Přídělení rolí uživatelům

Práva rolí a Práva uživatelů

Práva k datovým objektům

Jak generovat

Parent, Child

Volba způsobu generování referenční integrity. Pro každou akci referenční integrity můžete nastavit, zda bude vegenerována deklaratorně, t.j. jako foreign key, nebo jako trigger.

Uživatelské typy jako domény

Pokud je zaškrtnutý, atributy, jejichž typ je ve slovníku uživatelských typu, se generuje jako doménový typ. Samozřejmě pokud to databáze podporuje.

Primární klíče jako constraint

Pokud je zaškrtnutý, vygenerují se primární klíče jako Constraint.

Cizí klíče jako constraint

Pokud je zaškrtnutý, vygenerují se cizí klíče jako constraint. Jako název se použíje hodnota Constraint název ve formuláří Relace.

Rozšířené

Uživatelské proměnné, nastavují se v editoru šablon.

Seznam entit

Seznam entit, které se budou generovat.

Podle submodelu

Zde máte možnost si rychle vybrat seznam entit pro generování podle jejich umístění v modelu. Pokud vyberete volbu "bez submodelu" vyberou se entity podle toho, jestli mají v editoru entit zaškrtnutou volbu "Generovat" Pokud vyberete volbu "Hlavní model" nebo "Main model", vyberou se úplně všechny entity. Seznam vybraných entit si můžete upravit.


Def, Def 2

Pomocné položky pro některé speciální vsuvky do atributu. Def se umístí těsně za definici typu, Def 2 na konec deklarace atributu.
Příklad:
V Interbase můžete nastavit character set a třídění
Attribute name = First Name
Column name = first_name
Type = char(20)
Def = CHARACTER SET WIN1250
Def 2 = COLLATE WIN1250
Program vygeneruje atribut takto:
first_name char(20) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250


Empty

Prázdný datový typ. Používá se tehdy, když potřebujete deklarova sloupec se speciálním typem, který neni programem podporován.
Příklad:
v Interbase můžete tímto způsobem deklarovat vypočtený sloupec.
Attribute name = First Name
Column name = first_name
Type = empty
Def = computed by (first_name || " " || surname)
Program vygeneruje atribut takto:
first_name computed by (first_name || " " || surname)

#


Fyzické vytvoření databáze

CASE Studio 2.0 nijak neřeší fyzické vytvoření databáze. Musíte použít utility, které jsou dodávány s vašimi databázovými servery. Např. pro Interbase to je ISQL, pro Oracle SQL+. Pouze pokud jste uživateli Delphi 1,2,3,4,5 a tabulek Paradox, můžete použít utilitu, jejiž zdrojové kody jsou v adresáří rksoft\casestudio\delphi. Jsou to soubory psql_form.dfm a psql_form.pas.
#


Galerie

Občas potřebujete uchovat část modelu, nebo třeba jenom jednu entitu někde "bokem", pro pozdější použití v jiných modelech.
Např. si vytvoříte entitu Adresář, ve které máte 20 atributů, zdá se vám dostatečně univerzální a nechcete ho v dalším modelu vytvářet znova. V tom případě si na pracovní ploše označte libovolné množství entit, stiskněte pravé tlačítko myší, z popup menu si vyberte položku "Přidat do galerie". Objeví se dialogové okno pro přídání do galerie. Zde vyplňte vámi zvolený název, vaše jméno a případně poznámku.
Na další kartě si můžete prohlídnout strukturu položky galerie.
Vidíte seznam položek galerie, u každé Název, Databázi, Autora a Datum vytvoření. Pokud kliknete na kteroukoliv položku galerie, objeví se vám okno s podrobnějšími údaji (obrázek nahoře). Tyto údaje můžete opravit. Když chcete použít položku galerie ve svém modelu, chytněte ji myší a přetáhněte na pracovní plochu. Můžete použít položku vytvořenou pro kteroukoliv databázi, např. do modelu pro databazi Oracle můžete použit položku galerie, která je vytvořená v Interbase.


Domény

Podpora

CASE Studio 2 podporuje domény. Navíc, u některých databází si může uživatel vytvářet nové datové typy. Jak domény, tak uživatelské datové typy jsou ukládány do Slovníku. Prosím klikněte menu: Slovník a vyberte položku Uživatelské typy.
Viz také:
  • Slovník
  • Slovníka uživatelksé typy
  • PostgreSQL: Domény a uživatelksé typy

Příklad pro Interbase

create domain cislo INTEGER default 5 check (value < 100)
create table xx (
polozka cislo
)
je ekvivalentní zápisu
create table xx (
polozka integer default 5 check (polozka < 100)
)


Kontrola modelu

Od verze 2.9 si můžete zvolit, které prvky chcete kontrolovat. Kontrola modelu je dostupná v nabídce Model, položka Kontrola Modelu, popřípadě stisknutím kláves CTRL + F9

Specifika Kontroly Modelu pro Sybase ASE 12.5

Verifikace stejných názvů objektů v tabulce sysobject

Kontrolované prvky:
  • Default Constraint
  • Rule Object
  • Default Object
  • Table
  • Relation

Verifikace stejných názvů objektů v tabulce sysindex

Kontrolované prvky:
  • Unique and Primary Key Constraints
  • Alternate Keys
  • Indexes

Verifikace modelu databáze Oracle 9i

Ve verzi 2.10 nově přidána verifikace modelu
Kontrolované prvky:
  • Duplicita constraint names
  • Duplicita jmén indexů, primarního klíče a unique constraint
  • Check duplicate constraint definitions(unique)


MS Scripting

MS Scripting

Pro spustění vlastních kódů můžete využít v CASE Studiu funkce MS Scripting.
Podporován je JScript a VBScript.
Po spuštění kódu je nutno kliknout na ikonu "Execute" (nejčervenější ikona)
Poté si můžete výsledek prohlédnout v záložce "Log"
#


Nastavení prostředí

Pracovní plocha

Přepínat na ukazov. po položení obj.

Způsob práce s kurzorem na pracovní ploše. Pokud je zapnuto (implicitní), po každém
umístění objektu na plochu se typ kurzoru změní zpět na ukazovántko. (podobně se
chová např. Delphi) Pokud je vypnuto, tak se typ kurzoru nemění (podobně se chová
naprosta většina CASE nástrojů)

Viditelné ohraničení stránek

Zda se na ploše mají zobrazovat ohraničení stránkek (implicitně zapnuto).

Tisknout barevně

Má se model tisknout v barvách. Použitelné pouze pro barevné tiskárny, na černobílých
tiskárnách se barvy převedou na stupně šedi. (implicitně vypnuto)

Font pro editory

Nastavní fontu pro editory textu.

Implicitní barva plochy

Barva plochy, hodnota pro nové modely.

Zvětšení

Hodnota pro nové modely

Adresáře

Adresář pro modely

Adresář, do kterého se ukládají modely.

Definiční soubor

Umístění souboru se systémovými šablonami.

Uživatelský definiční soubor

Umístění souboru s uživatelskými šablonami.

Soubor pro script

Soubor, do kterého se ukládá vygenerovaný SQL script.

HTML soubor

Do tohoto souboru se ukládá HTML report.

Soubor s galerii

V tomto souboru je uložena galerie.

Uzamykat modely

Pokud je volba zaškrtnuta, program pří otevření souboru tento soubor uzamkne.
Pak tento soubor nemůže nikdo jiný otevrít, ani do něho nic zapsat. Doporučujeme,
abyste měli tuto volbu nastavenou na všech počítačích v síti stejně.

Pouze jedna instance programu

Pokud se spouští nová instance s parametrem "název souboru", převezme ji instance první.

Textový editor

Typ editoru

  • Interní - jednoduchý editor, vhodný jako nouzové řešení.
  • Externí - máte možnost si zvolit vlastní editor (oporučujeme Notepad)
  • Asociovaný - pro editaci textu se vyvolá editor, který máte asociovaný ve Windows pro příslušnou příponu.

Externí editor

Nastavený externí editor i s cestou.

Synchronizace

Synchronizace atributů

Implicitní nastavení. Použije se pro nové modely. Pro existující modely použijte Vlastnosti modelu.

Synchronizace názvů tabulek

Implicitní nastavení. Použije se pro nové modely. Pro existující modely použijte Vlastnosti modelu.

Synchronizace názvů sloupců

Implicitní nastavení. Použije se pro nové modely. Pro existující modely použijte Vlastnosti modelu.

Synchronizace fyzických názvů slovníkovych položek.

Implicitní nastavení. Použije se pro nové modely. Pro existující modely použijte Vlastnosti modelu.

Synchronizace constraint primárního klíče

Implicitní nastavení. Použije se pro nové modely. Pro existující modely použijte Vlastnosti modelu.

Integrita

Implicitní nastavení integritních omezení relací. Tyto nastavení se užijí pro všechny nové relace.

Správce verzí

Způsob ukládání ve správci verzí

Nastavte, co se má nabízet jako implicitní volba.
  • Uložit do stávající revize
  • Uložit do nové revize
Vice ve správci verzí.

Před uložením se zeptat

Před uložením se správce verzí zeptá na způsob uložení. Pokud není volba zaškrtnutá, správce
verzí se neptá a provede čínnost nastavenou ve Způsobu ukládání ve správci verzí. Viz výše.
Při volbě Uložit do stávající revize se správce verzí ptá vždy, bez ohledu na nastavení Před
uložením se zeptat.


Data types

Supported data types

This list contains all data types directly supported by CASE Studio 2. Of course, you are allowed to create your own data types! More.

Access 2000

název

fyzický název
AutoNumber LI
dbLong
AutoNumber RID
dbGUID
Byte
dbByte
Currency
dbCurrency
Date/Time
dbDate
Double
dbDouble
Hyperlink
dbMemo
Integer
dbInteger
Long Integer
dbLong
Memo
dbMemo
OLE Object
dbLongBinary
Replication ID
dbGUID
Single
dbSingle
Text
dbText
Yes/No
dbBoolean

Access 97

název

fyzický název
AutoNumber LI
dbLong
AutoNumber RID
dbGUID
Byte
dbByte
Currency
dbCurrency
Date/Time
dbDate
Double
dbDouble
Hyperlink
dbMemo
Integer
dbInteger
Long Integer
dbLong
Memo
dbMemo
OLE Object
dbLongBinary
Replication ID
dbGUID
Single
dbSingle
Text
dbText
Yes/No
dbBoolean

ADO

název

fyzický název
BOOL
BOOL
BSTR
BSTR
BYTES
BYTES
CY
CY
DATE
DATE
DBTIMESTAMP
DBTIMESTAMP
DECIMAL
DECIMAL
I1
I1
I2
I2
I4
I4
NUMERIC
NUMERIC
R4
R4
R8
R8
STR
STR
UI2
UI2
UI4
UI4
WSTR
WSTR

Clipper 5.0

název

fyzický název
Date
Date
Character
Character
Logical
Logical
Memo
Memo
Numeric
Numeric

DB2 v.7

název

fyzický název
Bigint
Bigint
Blob
Blob
Boolean
Boolean
Clob
Clob
Datalink
Datalink
Date
Date
DBClob
DBClob
Decimal
Decimal
Double
Double
Float
Float
Graphic
Graphic
Character
Char
Integer
Integer
Long vargraphic
Long vargraphic
Long Varchar
Long Varchar
Real
Real
Smallint
Smallint
Time
Time
Timestamp
Timestamp
Var graphic
Var graphic
Varchar
Varchar

DBIsam 3

název

fyzický název
(other data type)
AutoInc
AUTOINC
BCD
DECIMAL
Blob
BLOB
Boolean
BOOLEAN
Bytes
BYTES
Currency
MONEY
Date
DATE
Fixed Char
CHARACTER
Float
FLOAT
FmtMemo
BLOB(0,3)
Graphic
GRAPHIC
Integer
INTEGER
LargeInt
LARGEINT
Memo
MEMO
SmallInt
SMALLINT
String
CHARACTER
Time
TIME
TimeStamp
TIMESTAMP
TypedBinary
BLOB(0,7)
Word
WORD

Informix

název

fyzický název
Byte
Byte
Date
Date
Datetime day to fraction
Datetime day to fraction
Datetime day to hour
Datetime day to hour
Datetime day to minute
Datetime day to minute
Datetime day to second
Datetime day to second
Datetime hour to fraction
Datetime hour to fraction
Datetime hour to minute
Datetime hour to minute
Datetime hour to second
Datetime hour to second
Datetime minute to fraction
Datetime minute to fraction
Datetime minute to second
Datetime minute to second
Datetime month to day
Datetime month to day
Datetime month to fraction
Datetime month to fraction
Datetime month to hour
Datetime month to hour
Datetime month to minute
Datetime month to minute
Datetime month to second
Datetime month to second
Datetime second to fraction
Datetime second to fraction
Datetime year to day
Datetime year to day
Datetime year to fraction
Datetime year to fraction
Datetime year to hour
Datetime year to hour
Datetime year to minute
Datetime year to minute
Datetime year to month
Datetime year to month
Datetime year to second
Datetime year to second
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Money
Money
NChar
NChar
Numeric
Numeric
NVarchar
NVarchar
Serial
Serial
Smallfloat
Smallfloat
Smallint
Smallint
Text
Text
Varchar
Varchar

Ingres

název

fyzický název
Byte
Byte
C
C
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float4
Float4
Float
Float
Float8
Float8
Char
Char
Integer1
Integer1
Integer2
Integer2
Integer
Integer
Integer4
Integer4
Long byte
Long byte
Long varchar
Long varchar
Money
Money
Object key
Object key
Real
Real
Smallint
Smallint
Table key
Table key
Text
Text
Varchar
Varchar

Interbase 4

název

fyzický název
Blob
Blob
Date
Date
Decimal
Decimal
Double
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Varchar
Varchar

Interbase 5

název

fyzický název
(Time)
Date
(Timestamp)
Date
Blob
Blob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Varchar
Varchar

Interbase 6 SQL 1

název

fyzický název
Blob
Blob
Date
Timestamp
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Numeric
Numeric
Smallint
Smallint
Timestamp
Timestamp
Varchar
Varchar

Interbase 6 SQL 3

název

fyzický název
Blob
Blob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
NChar
NChar
NChar Varying
NChar Varying
Numeric
Numeric
Smallint
Smallint
Time
Time
Timestamp
Timestamp
Varchar
Varchar

MS SQL 2000

název

fyzický název
BigInt
Bigint
Binary
Binary
Bit
Bit
DateTime
Datetime
Decimal
Decimal
Empty
Float
Float
Char
Char
Image
Image
Integer
Integer
Money
Money
NChar
Nchar
NText
Ntext
Numeric
Numeric
NVarChar
Nvarchar
Real
Real
SmallDateTime
Smalldatetime
SmallInt
Smallint
SmallMoney
Smallmoney
Sql_Variant
Sql_variant
Text
Text
TimeStamp
Timestamp
TinyInt
Tinyint
UniqueIdentifier
Uniqueidentifier
VarBinary
Varbinary
VarChar
Varchar

MS SQL 6.5

název

fyzický název
Binary
Binary
Bit
Bit
DateTime
Datetime
Decimal
Decimal
Empty
Float
Float
Char
Char
Image
Image
Integer
Integer
Money
Money
Numeric
Numeric
Real
Real
SmallDateTime
Smalldatetime
SmallInt
Smallint
SmallMoney
Smallmoney
Text
Text
TimeStamp
Timestamp
TinyInt
Tinyint
VarBinary
Varbinary
VarChar
Varchar

MS SQL 7

název

fyzický název
Binary
Binary
Bit
Bit
DateTime
Datetime
Decimal
Decimal
Empty
Float
Float
Char
Char
Image
Image
Integer
Integer
Money
Money
NChar
Nchar
NText
Ntext
Numeric
Numeric
NVarChar
Nvarchar
Real
Real
SmallDateTime
Smalldatetime
SmallInt
Smallint
SmallMoney
Smallmoney
Text
Text
TimeStamp
Timestamp
TinyInt
Tinyint
UniqueIdentifier
Uniqueidentifier
VarBinary
Varbinary
VarChar
Varchar

mySQL 3.23

název

fyzický název
Bigint
Bigint
Blob
Blob
Date
Date
Datetime
Datetime
Decimal
Decimal
Double
Double
Enum
Enum
Float
Float
Char
Char
Integer
Integer
Longblob
Longblob
Longtext
Longtext
Mediumblob
Mediumblob
Mediumint
Mediumint
Mediumtext
Mediumtext
Set
Set
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Tinyblob
Tinyblob
Tinyint
Tinyint
Tinytext
Tinytext
Varchar
Varchar
Year
Year

mySQL 4.0

název

fyzický název
Bigint
Bigint
Bit
Bit
Blob
Blob
Bool
Bool
Date
Date
Datetime
Datetime
Decimal
Decimal
Double(m,d)
Double
Double
Double
Enum
Enum
Float(m,d)
Float
Float(m)
Float
Float
Float
Char
Char
Integer
Integer
Longblob
Longblob
Longtext
Longtext
Mediumblob
Mediumblob
Mediumint
Mediumint
Mediumtext
Mediumtext
Set
Set
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Tinyblob
Tinyblob
Tinyint
Tinyint
Tinytext
Tinytext
Varchar
Varchar
Year
Year

Oracle 8

název

fyzický název
BFILE
BFILE
Blob
Blob
Clob
Clob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float
Float
Char
Char
Integer
Integer
Long
Long
Long raw
Long raw
Mlslabel
Mlslabel
NClob
NClob
NChar
NChar
Number(x.y)
Number
Number
Number
NVarchar2
NVarchar2
Raw
Raw
Real
Real
Rowid
Rowid
Smallint
Smallint
Urowid
Urowid
Varchar2
Varchar2

Oracle 9i

název

fyzický název
Bfile
Bfile
Blob
Blob
Clob
Clob
Date
Date
Decimal
Decimal
Double precision
Double precision
Empty
Float(b)
Float
Float
Float
Char
Char
Integer
Number
Interval day to seconds
Interval day
Interval year to month
Interval year
Long
Long
Long raw
Long raw
NClob
NClob
NChar
NChar
Number(x,y)
Number
Number
Number
NVarchar2
NVarchar2
Raw
Raw
Real
Real
Rowid
Rowid
Smallint
Number
Timestamp
Timestamp
Timestamp with local time zone
Timestamp
Timestamp with time zone
Timestamp
Urowid
Urowid
Varchar2
Varchar2

Paradox

název

fyzický název
Autoinc
Autoinc
Blob
Blob
Boolean
Boolean
Date
Date
Decimal
Decimal
Empty
Character
Char
Integer
Integer
Money
Money
Numeric
Numeric
Smallint
Smallint
Time
Time
Timestamp
Timestamp

PostgreSQL 7.3

název

fyzický název
(other data type)
Bigint
Bigint
Bit
Bit
Bit varying
Bit varying
Boolean
Boolean
Box
Box
Cidr
Cidr
Circle
Circle
Date
Date
Double precision
Double precision
Char
Char
Inet
Inet
Integer
integer
Interval
Interval
Line
Line
Lseg
Lseg
Macaddr
Macaddr
Money
Money
Numeric
Numeric
Oid
Oid
Path
Path
Point
Point
Polygon
Polygon
Real
Real
Serial
Serial
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Timestamp with time zone
Timestamp with time zone
Time with time zone
Time with time zone
Varchar
Varchar

PostgreSQL 7

název

fyzický název
(other data type)
Bigint
BigInt
Bit
Bit
Bit varying
Bit varying
Boolean
Boolean
Box
Box
Cidr
Cidr
Circle
Circle
Date
Date
Double precision
Double precision
Char
Char
Inet
Inet
Integer
Integer
Interval
Interval
Line
Line
Lseg
Lseg
Macaddr
Macaddr
Money
Money
Numeric
Numeric
Oid
Oid
Path
Path
Point
Point
Polygon
Polygon
Real
Real
Serial
Serial
Smallint
Smallint
Text
Text
Time
Time
Timestamp
Timestamp
Timestamp with time zone
Timestamp with time zone
Time with time zone
Time with time zone
Varchar
Varchar

Sybase Anywhere

název

fyzický název
Bigint
BigInt
Binary
Binary
Date
Date
Decimal
Decimal
Double
Double
Empty
Float
Float
Char
Char
Integer
Integer
Long Binary
Long Binary
Long Var
Long Var
Numeric
Numeric
Real
Real
Smallint
Smallint
Time
Time
Timestamp
Timestamp
Varchar
Varchar

Sybase ASE 12.5

název

fyzický název
Binary
binary
Bit
bit
DateTime
datetime
Decimal
decimal
Double Precision
double precision
Float(n)
float
Float
float
Char
char
Image
image
Integer
integer
Money
money
NChar
nchar
Numeric
numeric
NVarChar
nvarchar
Real
real
SmallDateTime
smalldatetime
SmallInt
smallint
SmallMoney
smallmoney
Sysnázev
sysnázev
Text
text
TimeStamp
timestamp
TinyInt
tinyint
UniChar
unichar
UniVarChar
univarchar
VarBinary
varbinary
VarChar
varchar


Konverze modelu

Převod na jinou databázi

V CASE Studiu 2 můžete svůj model převést na jinou databázi, podporovanou CASE Studiem 2. Pro převod prosím vyberte z menu: "Model"-> "Převod na jinou databázi", poté se objeví následující dialogové okénko:
Z rolovacího menu pak vyberte cílovou databázi (výchozí je ta, nad kterou konverzi děláte) a pak definujte, co vše chcete převést.
Pokud chcete upřesnit nastavení konverze, klikněte na tlačítko "Nastavení", kdy se objeví následující dialog:
V tomto okně, pokud zaškrtnete políčko "Změnit", můžete vybrat na jaký datový typ se bude výchozí datový typ měnit.
#


Soubory používané v CASE Studio 2 a jejich přípony

*.dm2

Nativní formát pro uložení modelu.

*.dmx

Formát pro Export modelu ve struktuře XML.

*.dmr

Nativní formát pro uložení modelu ve staré verzi RKS Data Designer. CASE Studio ho umí číst, neumí ukládat.

*.dg2

Soubor s galerií. Doporučujeme pravidelně zálohovat. Je v XML formátu. Nastavuje se v Nastavení prostředí....

*.dp2

Soubor s projektem, používá ho správce verzí. Je v XML formátu. Pokud chcete projekt zálohovat, zálohujte celý adresář, tj. soubor *.dp2 a všechny soubory *.dv2 v tomtéž adresáři.

*.dv2

Soubor s modelem, který je součástí projektu. Formát je shodný s *.dm2, jinou příponu má proto, aby nemohl být omylem otevřen přímo, má se otevírat prostřednictvím správce verzí.

*.ts2

Soubor se systémovými šablonami. Tyto šablony jsou součástí distribuce programu. Je v XML formátu. Nastavuje se v Nastavení prostředí.

*.tu2

Soubor s uživatelskými šablonami. Tyto šablony jsou upravovány a spravovány uživatelem. Doporučujeme pravidelně zálohovat. Je v XML formátu. Nastavuje se v Nastavení prostředí.

*.dd2

Soubor s vyexportovaným slovníkem. Slouží pro výměnu slovníku mezi modely. Je v XML formátu.

Casestud.exe

Samotný program CASE Studio 2.

Css.chm

Tato nápověda


Referenční integrita

Pro relaci je možno definovat pravidla integrity vztahující se ke změně, přídání nebo zrušení záznamu v parent nebo child entitě.

Parent update:

Případ, kdy se mění primární klíč záznamu v parent entitě. Pravidla jsou:

None

Žádné pravidlo.

Restrict

V případě, že se v záznamu parent entity mění primární klíč, a v child entitě již existují záznamy přiřazené k původnímu parent záznamu, změna se neprovede a db. systém nahlásí chybu.

Cascade

V případě, že v se v záznamu parent entity mění primární klíč, a v child entitě již existují záznamy přiřazené k původnímu parent záznamu, db. systém změní v child entitě odpovídající cizí klíče.

Set NULL

V případě, že v se v záznamu parent entity mění primární klíč, a v child entitě již existují záznamy přiřazené k původnímu parent záznamu, db. systém nastaví v child entitě odpovídající cizí klíče na NULL.

Set Default

V případě, že se v záznamu parent entity mění primární klíč, a v child entitě již existují záznamy priřazené k původnímu parent záznamu, db. systém nastaví v child entitě odpovídající cizí klíče na defaultní hodnotu.

Parent Delete

Případ, kdy se zruší záznam v parent entitě. Pravidla jsou:

None

Žádné pravidlo.

Restrict

Pokud se maže záznam v parent entitě, a v child entitě existuji záznamy přiřazené k parent záznamu, příkaz se neprovede.

Cascade

V případě výmazu záznamu v parent entitě s vymažou i záznamy v child entitě.

Set NULL

V případě výmazu záznamu v parent entitě se cizí klíče v příslušné child entitě nastaví na NULL.

Child Insert

Případ, kdy se přidává záznam v child entitě. Pravidla jsou:

None

Žádné pravidlo.

Restrict

V případě, že se do child entity přidává záznam, který nemá odpovídající záznam v parent entitě, db. systém nahlásí chybu, a příkaz se neprovede.

Child Update

Případ, kdy se mění cizí klíč v záznamu v child entitě. Pravidla jsou:

None

Žádné pravidlo.

Restrict

V případě, že se změní cizí klíč záznamu v child entitě, a v parent entitě neexistuje odpovidájící záznam pro novou hodnotu, db. systém nahlásí chybu, a příkaz se neprovede.


Slovník

Slovník uživatelských typů. Tyto typy se objeví při definici atributů.

Tlačítka:

Add

Nový uživatelský typ.

Edit

Oprava uživatelského typu.

Delete

Zrušení uživatelského typu.

Load

Načtení slovníku uživatelských typů ze souboru. Třeba z jiného modelu.

Save.

Uložení slovníku uživatelských typů do souboru.

To-Do list

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly týkající se slovníkových položek.


Položka slovníku

Název

Název uživatelského typu.

Fyzický název

Použije se, pokud se uživatelské typy generují jako domény.

Typ

Datový typ uživatelského typu.

Délka

Délka uživatelského typu.

Decim

Počet desetinných míst uživatelského typu.

Check

Integritní omezení uživatelského typu. Ve výrazu můžete použít proměnné %value% nebo %colname%, obojí nahradí proměnnou názvem sloupce pro konkrétní atribut. (proměnná %value% je zastaralé, je použito jenom pro zpětnou kompatibilitu. Doporučuji používat proměnnou %colname%)

Default

Defaultní hodnota.

Poznámka

Jakýkoliv text.

Použito v

Seznam atributů, ve kterých je uživatelský typ použit.

Tlačítka

OK

Potvrzení

OK+add

Potvrdit a přidat další položku

Cancel

Zrušit

Help

Nápověda

To-Do list

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly týkající se entity.


Uživatelské typy

Uživatelské typy - slovník

Zapsání vlastních uživatelských dat do slovníku

Prosím vyberte v menu Slovník a pak vyberte položku Uživatelské typy (klávesová zkratka Ctrl+U) - zde můžete vytvořit nový datový typ.
Klikněte na tlačítko Add a prosím specifikujte vlastní nový datový typ. Pro vytvoření vlastního Uživatelského typu prosím vyberte z rozbalovací nabídky jako datový typ "Empty" a pak prosím vyplňte memo pole Uživatelský typ
Poté pro potvrzení klikněte na tlačítko OK

Výběr uživatelsky definovaných datových typů

Opravte vámi definovaný attribut a vyberte nový Uživatelský typ z rozbalovacího menu Datový typ
Pak prosím klikněte na záložku "2", kde uvidíte specifikace vašeho uživatelského typu
Tato metoda nené podporována všemi databazovými systémy. Někdy je nutno vybrat datový typ "Empty" a specifikovat manuálně položku v uživatelských typech (záložka "2").

Vytvoření v text object menu

Je možno vytvořit (definovat) uživatelský typ v Textových objektech. Vyberte položku "Textové objekty" z menu "Model". Poté klikněte pravým tlačítkem myši na ikonku Objektové typy a vyberte "Add" You are allowed to create User types via Text objects. Please click the Model menu and select the Text objects item. Then right click the Object types icon and select Add.
#


Textové objekty

Seznam textových objektů (TO)

CASE Studio 2 rozpoznává některá specifika vybrané databáze jako textové objekty (TO). V modelu pro Oracle 9i můžete například definovat následující prvky:
  • Functions
  • Packages
  • Package bodies
  • Object types
  • Object type bodies
  • Sequences
  • Synonyms

Výčet jednotlivých textových objektů je závislý na cílové databázi. V jakémkoliv modelu však můžete pracovat s:
  • Triggery (Triggers)
  • Procedurami (Procedures)
  • Pohledy (Views)
Prosím klikněte v menu na položku Model a vyberte Textové objekty (popř. použijte klávesovou zkratku CTRL+T nebo ikonku TO v liště.

Before

Vsuvky před tvořícím skriptem, zde si např. můžete napsat kod pro fyzické vytvoření databáze, připojení apod. Pokud chcete tuto vsuvku vygenerovat, musíte v Generování skriptu zaškrtnout volbu "Vsuvky před scriptem"

After

Vsuvky po tvořícím skriptu. Pokud chcete tuto vsuvku vygenerovat, musíte v Generování skriptu zaškrtnout volbu "Vsuvky po scriptu"

Práce s TO

Nastavení

Rychlá editace

Při zaškrtnutí se obsah změněného TO (trigger, procedury, pohledu) uloží vždy při přechodu na jiný trigger (proceduru, pohled). Při nezaškrtnutí musíte každou změnu potvrdit nebo zrušit.

Fonty

Font pro editor.

Tlačítka

Potvrzení provedených změn.

Zrušení provedených změn.

Loading text file from disk to editor.

Uložení obsahu editoru na disk.

Tisk TO (triggru, procedury, pohledu).

Nastavení fontu editoru.

Změna pořadí generování TO (triggru, procedur, pohledů).

Aktuální TO (trigger, procedura, pohled) je změněn.

Enabled

při nastavení se TO bude generovat, pri nenastavení bude při generování ignorován.
#


Tisk

Předch.strana

Zobrazí předchozí stranu.

Další strana

Zobrazí další stranu.

Tisk strany

Vytiskne aktuální stranu.

Tisk vše

Vytiskne celý model.

Konec

Nastavení tiskárny

Zde se nastavuje tiskárna. Nastavení platí po dobu běhu programu.


To Do List

Psaní úkolů na "To do" list

Funkce To Do list umožňuje psaní úkolů, či informace o nedokončených akcích. Úkoly můžete přiřazovat k náledujícím prvkům:
    • Model
    • Entita
    • Relace
    • Slovník
    • Triggery
    • Uživatelé a
    • Role uživatelů

Jak vytvořit položku To-Do listu?

Klikněte na ikonu To-Do list , popřípadě pravým tlačítkem například na entitě nebo relaci a zvolte položku To-Do list. Vždy záleží na prvku, ze kterého otevřete dialogové okno To-Do listu.

Tlačítka

+ (plus)

Přidání položky do To-do listu

- (minus)

Smazání položky z To-do listu

O

Zobrazení položek podle objeku

A

Zobrazení všech položek To-do listu

C

Zobrazení položek kategorie

D

Zobrazení položek závislých

Seznam To-do listu položek

Vyřízeno

Stav zpracování položky

Text

Vlastní obsah položky

! (vykričník)

Priorita

Kategorie

Informace o přiřazení položky do příslušné uživatelské kategorie

Majitel

Informace o zřizovateli položky

Objekt

Informace o objektu, ke kterému položka patří (Model, Entita, Relace, Slovník, Triggery, Uživatelské role, Uživatelé)

Detail položky To-do listu

Majitel

Vepište jméno osoby, která položku vytvořila

Priorita

Možnost nastavení priority

Kategorie

Nejprve je nutné kategorie ručně vepsat, poté lze volit z vysouvacího menu

Datum

Datum vytvoření položky. V součané době pouze aktuální datum.

Vyřízeno

Váš vlastní stav zpracování položky.
#


Typy relací

Zde je uveden příklad pro lepší porozumění problematice relací.

Identifikační relace

Primární klíč z parent entity migruje do child entity, a tam je součástí primárního klíče. Používá se tehdy, pokud primární klíč cizí entity není schopen zajistit jednoznačnou identifikaci. Entita, která je child entitou propojenou přes identifikační relaci, je tzv. závislou (dependent) entitou , a je v modelu zobrazena se zaoblenými rohy.
Příklad:
// parent entity
Create table Invoice (
InvoiceNo Integer NOT NULL,
ExportDate Date,
BLN_Supplier Char(10) NOT NULL) ;
// child entity
Create table InvItem (
InvoiceNo Integer NOT NULL,
InvLineNo Integer NOT NULL,
Amount Integer) ;
Alter table Invoice add primary key (InvoiceNo);
Alter table InvItem add primary key (InvoiceNo,InvLineNo);
Alter table InvItem add foreign key (InvoiceNo) references Invoice (InvoiceNo);
Číslo řádku je jako jedinečný identifikátor záznamu nedostatečný, child entita si musí vypomoci Číslem faktury (InvoiceNo). Proto je použita identifikační relace. Položka faktury nemůže existovat bez samotné faktury, proto je položka faktury závislou entitou.

Neidentifikační relace

Primární klíč z parent entity migruje do child entity, a tam neni součásti primárního klíče.
Příklad:
Create table Invoice (
InvoiceNo Integer NOT NULL,
ExportDate Date, BLN_Supplier Char(10) NOT NULL);
Create table AddressBook (
BLN_Supplier Char(10) NOT NULL,
CompanyName Char(50),
BLN_Customer Char(10) NOT NULL);
Alter table Invoice add primary key (InvoiceNo);
Alter table AddressBook add primary key (BLN_Supplier);
Alter table Invoice add foreign key (BLN_Supplier) references AddressBook (BLN_Supplier);
Alter table AddressBook add foreign key (BLN_Customer) references AddressBook (BLN_Supplier) on delete cascade;
Číslo faktury je jako jedinečná identifikace faktury zcela postačující. Proto je použita neidentifikační relace, ičo je pouze cizím klíčem. Faktura může existovat bez návaznosti na firmu, proto je faktura nezávislou entitou.

Relace M:N

Příklad:
Create table Sup_Price (
BLN_Supplier Char(10) NOT NULL,
ArticleId Integer NOT NULL) ;
Alter table Sup_Price add primary key (BLN_Supplier,ArticleId);
Alter table Sup_Price add foreign key (BLN_Supplier) references AddressBook (BLN_Supplier);
Alter table Sup_Price add foreign key (ArticleId) references PriceList (ArticleId) ;

Informativní Relace

Primární klíč nikam nemigruje, negeneruje se žádná referenční integrita ani triggery, jedná se pouze o informaci, že nějaký vztah existuje.

Self Relace

K vytvoření Self relace je zapotřebí kliknout pravým tlačítkem myši na entitu a vybrat "Přidat Self Relaci"
Příklad:
Create table AddressBook (
BLN_Supplier Char(10) NOT NULL,
CompanyName Char(50),
BLN_Customer Char(10) NOT NULL) ;
Alter table AddressBook add primary key (BLN_Supplier);
Alter table AddressBook add foreign key (BLN_Customer) references AddressBook (BLN_Supplier) on delete cascade;

Doplňující informace

Generated SQL Script

/* Database Oracle 8 */
Create table Invoice (
InvoiceNo Integer NOT NULL,
ExportDate Date,
BLN_Supplier Char(10) NOT NULL) ;
Create table InvItem (
InvoiceNo Integer NOT NULL,
InvLineNo Integer NOT NULL,
Amount Integer) ;
Create table AddressBook (
BLN_Supplier Char(10) NOT NULL,
CompanyName Char(50),
BLN_Customer Char(10) NOT NULL) ;
Create table PriceList (
ArticleId Integer NOT NULL,
Artice Char(20),
Price Number(10,2)) ;
Create table Sup_Price (
BLN_Supplier Char(10) NOT NULL,
ArticleId Integer NOT NULL) ;
Alter table Invoice add primary key (InvoiceNo);
Alter table InvItem add primary key (InvoiceNo,InvLineNo);
Alter table AddressBook add primary key (BLN_Supplier);
Alter table PriceList add primary key (ArticleId);
Alter table Sup_Price add primary key (BLN_Supplier,ArticleId);
Alter table InvItem add foreign key (InvoiceNo) references Invoice (InvoiceNo) ;
Alter table Sup_Price add foreign key (BLN_Supplier) references AddressBook (BLN_Supplier);
Alter table AddressBook add foreign key (BLN_Customer) references AddressBook (BLN_Supplier) on delete cascade;
Alter table Invoice add foreign key (BLN_Supplier) references AddressBook (BLN_Supplier);
Alter table Sup_Price add foreign key (ArticleId) references PriceList (ArticleId);
/* Update trigger for AddressBook */
Create Trigger tu_AddressBook after update
of BLN_Supplier,BLN_Customer
on AddressBook
referencing new as new_upd old as old_upd for each row
declare numrows integer;
begin
/* cascade child AddressBook update when parent AddressBook changed */
if (:old_upd.BLN_Supplier != :new_upd.BLN_Supplier) then
begin update AddressBook
set BLN_Customer = :new_upd.BLN_Supplier
where AddressBook.BLN_Customer = :old_upd.BLN_Supplier ;
end;
end if;
end;
/
/* Roles permissions */
/* Users permissions */

Nastavení referenční integrity

Identifying Relationship 1

Parent Update - Restrict
Parent Delete - Restrict

Non Identifying Relationship 1

Parent Update - Restrict
Parent Delete - Restrict

Relationship M:N 1

Parent Update - Restrict
Parent Delete - Restrict

Relationship M:N 2

Parent Update - Restrict
Parent Delete - Restrict

Self Relationship 1

Parent Update - Cascade
Parent Delete - Cascade

Jak nadefinovat pravidla pro referenční integritu?

Pravým tlačítkem myši klikněte na čáru zobrazující relaci a nastavte příslušné hodnoty v záložce "Referenční integrita"
viz Pravidla referenční intergrity
Nepodporované typy referenční integrity?
CASE Studio 2 Vám umožňuje generovat také nepodporované typy referenční integrity za pomocí triggerů.
Viz také: Editace relací


Vlastnosti modelu

Vlastnosti

Projekt

Název projektu

Model

Název modelu

Firma

Název firmy

Autor

Autor modelu

Verze

Verze modelu

Vytvořeno

Datum a čas vytvoření modelu

Opraveno

Datum a čas poslední změny modelu

Databáze

Databáze, pro kterou je model vytvořen.

Poznámka

Jakýkoliv text.

Nastavení

Synchronizace atributů

Plná

Vlastnosti cizího klíče ( default, check atd. ) jsou plně synchronizovány
s vlastnostmi primárního klíče, a vy nemáte možnost je měnit.

Částečná

Vlastnosti cizího klíče jsou synchronizovány s vlastnosmi primárního klíče,
ale máte možnost je měnit. Pokud je změníte, už se dále nesynchronizují.
Aby se znova synchronizovaly, musíte do vlastností v cizím klíče zadat
stejné hodnoty, jake jsou v primárním klíči.

Žádná

Vlastnosti cizího klíče se vůbec nesynchronizují.
Vysvětlení a příklad:
Do default hodnoty v primárním klíči zadáte Autoinc, aby si sám vytváře
l jedinečnou hodnotu. K tomuto primárnímu klíči existují v dalších entitách
cizí klíče, u kterých je defaultní hodnota Autoinc nesmysl. Proto, pokud máte
nastavenou částečnou nebo žádnou synchronizaci, můžete v cizích klíčích
hodnotu Autoinc zrušit.

Pozn.: U této volby buďte opatrní, a příliš ji neměňte.

Pokud ji změníte z častečná nebo žádná na plná, můžete přijít o část své práce,
protože se přepíšou hodnoty, které jste u cizích klíčů pracně nastavili. Pří změně
nastavení se hodnoty nepřepisují automaticky, ale musíte jím pomoct. Tzn. otevřít
editaci entit s primárními klíči, a zase je zavřít. Pak vlastnosti primárních klíčů
migrují do cizích klíčů.

Synchronizace názvů tabulek

Způsob převodu mezi názvem entity a názvem tabulky. Defaultní hodnotou
je %entname%, což znamená, že název tabulky vznikne z názvu entity, a
přítom se odstraní mezery a nepovolené znaky.
Příklad:
Název entity je Uctova osnova, způsob převodu je nastavený na t_%entname%.
Vznikne název sloupce t_uctova_osnova

Synchronizace názvů sloupců

Způsob převodu mezi názvem atributu a názvem sloupce. Defaultní hodnotou
je %atrname%. Můžete použít i proměnnou %atrname%. Chování je obdobné
jakou u tabulek.

Synchronizace fyzických názvů slovníkových položek

Způsob převodu mezi názvem atributu a názvem sloupce. Defaultní hodnotou
je %dictname%. Chování je obdobné jako u tabulek.

Kontrola modelu

  • Kontrolovat ERD
    Při kontrole modelu se kontroluje ERD diagram.
  • Kontrolovat DFD
    Při kontrole modelu se kontroluje DFD diagram.
  • Kontrolovat DFD vůči ERD
    Při kontrole modelu se kontroluje návaznost DFD-ERD

Defaultní hodnoty

Vrátí způsoby synchronizace na původní hodnoty, definované v nastavení prostředí.

Default storage

Defaultní nastavení storage, použije se pro všechny nové entity. Pokud chcete
změnit i existující entity, použijte tlačítko Nastav všechny entity.

Rozšířené

Nastavení uživatelských proměnných platných pro celý model.


Vlastnosti submodelu

Název submodelu

Název pro submodel

Entity

Seznam entit, které jsou v daném submodelu. Zde můžete přidat nebo odstranit entitu ze submodelu. Od verze 2.10 lze vytvářet submodely o pouze jedné entitě

Mřížka

Ukázat mřížku

Na pracovní ploše se zobrazí mřížka.

Zarovnávat do mřížky

Všechny objekty na ploše se zarovnávají podle mřížky.

Horizontálně mm.

Horizontální rozteč mřížky, rozměry jsou kalibrovány podle tiskárny.

Vertikálně mm.

Totéž, ale vertikálně.

Další

Přímé čáry

Relace se zobrazí jako přímé čáry od entity k entitě. Pokud je volba vypnuta, čáry jsou lomené.

Stínování

Pod modely se zobrazí stín.

Fyzický pohled

Zobrazí se fyzický název entity (název tabulky), fyzické názvy atributů (názvy sloupců) a jejich typy.

Plné názvy rolí

Pokud máte v cizím klíči definovaný název role, zobrazí se atribut ve formátu rolename.atributname.

Barevné rozlišení atributů

Atributy se zobrazují barevně podle své příslušnosti ke klíči.
  • Primární klíče,
  • Cizí primární klíče,
  • Cizí klíče.

Zobrazit indexy

V entitách se zobrazí seznamy indexů.

Zobrazit názvy relací

U relací se zobrazí jejich názvy.

Zarovnávat do sloupců

Atributy se v entitě zarovnají do sloupců, název pod název, datový typ pod datový typ.
Přehlednější, ale prostorově náročnější.


Výběr databázového serveru

Při vytváření nového datového modelu si ze seznamu vyberete databázový server.

Podporované databázové systémy:

  • Sybase Adaptive Server 12.5
  • Oracle 9x
  • Oracle 8x
  • Oracle 7x
  • DB2 version 7.1
  • DBISAM 3
  • MS SQL 2000
  • MS SQL 7.0
  • MS SQL 6.5
  • MS Access 2000
  • MS Access 97
  • Interbase 6 SQL 3
  • Interbase 6 SQL 1
  • MySQL 4
  • MySQL 3.23
  • PostgreSQL 7.3 BETA
  • PostgreSQL 7.1
  • Informix
  • Ingres
  • Clipper
  • Paradox

#


Pravé tlačítko - Entity

Pravé tlačítko - entity

Klikněte pravým tlačítkem na entitě pro zobrazení tohoto dialogu.

Opravit entitu

Možnost modifikace údajů entity, viz také: Editace entit

Zruš entitu

Smazání entity

Přidej Self relaci

Vytvoření self relace
Viz také: Typy relací a Referenční integrita

Barva

Změna barvy pozadí - pouze u vybrané entity, nikoliv pro pozadí pracovní plochy!

Přidat do galerie

Přidání entity do galerie, viz také Galerie

To-Do list

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly týkající se entity.

Přepočítat velikost

Přepočítání velikosti entity.


Pravé tlačítko - pracovní plocha

Pravé tlačítko myši - Pracovní plocha

Po stisknutí pravého tlačítka myši na pracovní ploše se zobrazí výše zobrazený dialog.

Fonty

nastavení fontu

Barvy

Nastavení barvy pozadí

Přehledový strom

Zobrazí přehledový strom

Přímé čáry

Přepíná mezi různými módy zobrazení relací (čar)

Stínování

Zapne / vypne stínování entit

Fyzický pohled

Přepíná mezi fyzickým a logickým pohledem

Zobrazit indexy

Zobrazení indexů

Zobrazit názvy relací

Zobrazení / skrytí názvů relací

Plné názvy rolí

Zobrazí plné názvy rolí (pouze u logického pohled)

Barevné rozlišení atributů

  • Primární klíče,
  • Primární cizí klíče
  • Cizí klíče

Zarovnávat do sloupců

Zarovnává položky entit do sloupců

Hloubka zobrazení

  • Entity
  • Primární klíče
  • Všechny klíče
  • Atributy

Vlastnosti modelu

Otevře příslušné dialogové okno

Vlastnosti submodelu

Otevře příslušné dialogové okno

Viditelné relace v submodelu

Viditelné / skryté relace v submodelech

Nový Submodel

Rychlá volba pro vytvoření nového submodelu
#


Pravé tlačítko - Relace

Pravé tlačítko - Relace

Pro zobrazení tohoto menu klikněte pravým tlačítkem na relaci.

Opravit relaci

Možnost změny či opravy relace, viz také: Editace relace, Typy relací a Referenční integrita.

Zrušit relaci

Smazání relace

To-Do list

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly a poznámky patřící k relaci.

Cizí klíče

Zobrazí dialogové okno pro nastavení cizích klíčů
viz také Mapování Foreign Keys cizích klíčů
.


Pravé tlačítko - editor šablon

Pravé tlačítko myši - Editor šablon

Chcete-li vytvářet vlastní šablony, začněte zde. Viz také: Šablony
Vytvářet šablony může jen v některých složkách. READ ONLY šablony nemohou být modifikovány.


Pravé tlačítko - TO

Pravé tlačítko myši - Textové objekty

Klikněte na "Model" --> "Textové objekty" pro vyvolání tohoto dialogu. Chcete-li přidat vlastní TO, klikněte pravým tlačítkem na typ TO a zvolte Přidat ....
Pozn.: Můžete vytvářet také vzory pro vaše TO. Klikněte na Soubor -> Rozšířené nastavení -> Vzory. Klikněte na záložku definující Váš TO a vepište zde text, který se bude použit pro každý další vytvořený typ TO.

To-Do list ikona

Otevře dialogové okno, ve kterém můžete stanovit jednotlivé úkoly týkající se TO.
viz také: Textové objekty


Pravé tlačítko - pohledy

Pravé tlačítko myši - pohledy

Pro vytvoření nového pohledu klikněte na Model -> Triggery.
Poté klikněte pravým tlačítkem na ikonu pohledů a zvolte Přidat.
Můžete také vytvářet vzory pro nové pohledy. Vyberte
Soubor -> Rozšířené nastavení-> Vzory. Klikněte na záložku Vzor view.
Text, který vepíšete do pravého okna bude použit při vytváření každého
nového pohledu.
Viz také: Triggery


Kontaktní informace

Společnost

CHARONWARE s.r.o.

Perunova 14

720 00 Ostrava

Czech Republic

fax: +420 69 6723852

Internetové stránky

www.casestudio.com

E-mail

Základní informace

info@casestudio.com

Technická podpora

support@casestudio.com

Obchodní záležitosti

sales@casestudio.com


Podpora produktu

Podpora produktu zdarma

Jednoduche a účinné

Od verze 2.10.2 již je v produktu implementována funkce "Podpora" (menu:Help->Podpora). Tato podpora je poskytována ZDARMA jak stávájícím, tak i potencionálním uživatelům produktu CASE Studio 2. Odpovědi na zákaznickou podporu jsou zasílány pouze emailem. Rychlost odpovědí je závislá na obtížnosti dotazu (někdy se jedná o několik minut, jindy je potřeba den i více na nalezení správného řešení). Samozřejmě všechny Vaše otázky, nápady, náměty týkající se našeho CASE nástroje jsou vítány.
Technická podpora se vztahuje pouze na produkt CASE Studio 2. Otázky týkající se pouze databází jako takových nemohou být naším týmem technické podpory z pochopitelných důvodů zodpovězeny.
Před napsáním dotazu prosím nejdříve navštivte naší Knowledge Base (znalostní báze), kde je uložena většina nejčastějších otázek a odpovědí.

Dialogové okno podpory.

Prosím vyplňte políčko Předmět (podobně jako kdybyste psali email).
Nyní prosím určete databází nad kterou pracujete.
Políčko Kategorie slouží k bližší specifikaci zprávy.

Nakonec prosím zvolte způsob doručení zprávy. Svůj dotaz můžete zaslat prostřednictvím:
- Formuláře (online) - tato volba otevře Váš internetový prohlížeč a nasměruje Vás na stránku technické podpory. - Emailu - tato volba otevře Vašeho emailového klienta. Stačí dopsat příslušné informace a odeslat. Prosíme o nepřepisování identifikačních údajů v úvodní části emailu. Děkujeme.

#


Licenční ujednání

License Agreement

CASE Studio 2 CZ - Licenční ujednání

CASE Studio 2 (the "Software"), is protected by copyright and other international treaties.
Toto licenční ujednání (Licence) je legální dohodou uzavřenou společností CHARONWARE, s.r.o a Vámi, koncovým uživatelem.

1. DEFINICE POJMŮ

The following definitions apply to the terms and conditions included in this Agreement.

CASE Studio 2

Pojmem CASE Studio 2 se rozumí softwarový produkt vytvořený společností CHARONWARE, s.r.o., který je určený zejména pro návrh databázových struktur.

Software

Pojmem Software se rozumí CASE Studio 2 včetně všech dodatečných souborů, dokumentace a ostatních prvků, které jsou součástí instalačního balíku, s výjimkou Aktivačních klíčů / Licenčních souborů / Registračních kódů.

Aktivační klíč / Licenční soubor / Registrační kód

Těmito pojmy se rozumí nástroj pro registrování placené plné verze software. Aktivační klíč, licenční soubor či registrační kód aktivuje veškeré funkce, které nejsou v demo verzi dostupné a zároveň odstraňuje veškeré restrikce demo verze.

Koncový uživatel

Pojmem Koncový uživatel se rozumí jednotlivá osoba.

Užívání Software

Pojmem Užívání software se rozumí užívání Software jedním koncovým uživatelem na jednom počítači.

2. LICENČNÍ PODMÍNKY

Užíváním Software, jeho instalací, popřípadě uložením jeho kopie na hard disk (nebo jiná média) souhlasíte s podmínkami tohoto licenčního ujednání. Pokud nesouhlasíte s podmínkami tohoto Licenčního ujednání, musíte software odinstalovat a/nebo smazat ze všech médií.
CASE Studio 2 (Software) je chráněn autorským právem a příslušným mezinárodním právem. Veškerá intelektuální a duševní práva, včetně patentů, obchodních značek, copyrightu nebo jiných obchodních tajemství spojených se Software jsou vlastnictvím společnosti CHARONWARE, s.r.o.
Společnost CHARONWARE, s.r.o, z pozice výrobce produktu zaručuje, že je výhradním majitelem dodaného produktu a všech autorských práv s produktem spojených, a že je ze zákona oprávněna poskytnout licenci bez souhlasu třetí strany.

3. PODMÍNKY POUŽITÍ

    • Smíte zdarma redistribuovat demo verzi Software, a to jak prostřednictvím on-line služeb, tak i pomocí jiných elektronických médií. Podmínkou povolení redistribuce je uchování všech souborů tak, jak jsou/byly publikovány společností CHARONWARE, s.r.o.
    • Bez předcházejícího povolení od společnosti CHARONWARE, s.r.o. nesmíte distribuovat Software na CD nebo jiných fyzických médiích za poplatek.
    • Nesmíte odstranit, změnit či zničit jakékoliv poznámky a informace o vlastnících, výrobci, stejně jako značky copyright a další informace související s autorským právem, které jsou součástí Software.
    • Nesmíte Software dekompilovat, jakkoliv rozdělit, rozčlenit či jinak redukovat. Nesmíte provést reverse engineering Software, žádným způsobem jej modifikovat, ani pronajímat nebo znovu prodávat.
    • Nesmíte vytvářet odvozené práce a žádné vlastní produkty založené na Software, či na bázi Software, bez písemného povolení od společnosti CHARONWARE, s.r.o.
    • Nesmíte publikovat nebo distribuovat žádné algoritmy registračních kódů, informace, registrační kódy (registration codes), aktivační klíče (activation keys) nebo licenční soubory (license files) související se Software bez písemného povolení od společnosti CHARONWARE, s.r.o. Aktivační klíče, licenční soubory či registrační kódy mohou být použity (popřípadě uloženy pro záložní účely) pouze osobou nebo organizací, která si Software řádně zakoupila. Jakékoliv použití musí být v souladu s tímto licenčním ujednáním. Nesmíte aktivační klíče, licenční soubory nebo registrační kódy kopírovat či je poskytnout třetí straně bezplatně ani za úplatu.

4. ZÁRUKY

Tento Software je licencován "JAK JE", tzn. bez jakéhokoliv druhu záruky včetně záruky na naprostou bezchybnost Software, bez omezení záruk obchodovatelnosti, použití pro konkrétní účel apod. CASE Studio 2 bylo vytvořeno s velkou pečlivostí a péčí o koncového uživatele. AVŠAK ZA ŽÁDNÝCH OKOLNOSTÍ NEBUDE SPOLEČNOST CHARONWARE, s.r.o., AUTOR, DODAVATELÉ NEBO PRODEJCI PROGRAMU ODPOVĚDNÍ KONCOVÉMU UŽIVATELI NEBO JINÉ OSOBĚ ZA JAKÉKOLI PŘÍMÉ, NEPŘÍMÉ NEBO NÁHODNÉ ŠKODY JAKÉHOKOLI DRUHU (VČETNĚ UŠLÉHO ZISKU, OBCHODNÍ ÚJMY, NEBO JINÉ EKONOMICKÉ VÝHODY) ZAPŘÍČINĚNÉ POUŽÍVÁNÍM SOFTWARE.

5. UKONČENÍ PLATNOSTI

Licence bude automaticky ukončena, pokud nesplníte kteroukoliv z výše uvedených podmínek. V případě ukončení platnosti jste povinni vymazat Software ze všech médií.
CASE Studio 2 - database designing tool.
Copyright © 2000-2002 CHARONWARE, s.r.o.
Všechna práva vyhrazena.

CASE Studio 2 CZ - License Agreement

CASE Studio 2 (the "Software"), is protected by copyright and other international treaties.
This License Agreement (the "Agreement") is a legal agreement between You ("Licensee"), the end-user, and CHARONWARE, s.r.o.

1. DEFINITIONS

The following definitions apply to the terms and conditions included in this Agreement.

CASE Studio 2

means a database modeling tool, developed by CHARONWARE, s.r.o.

Software

means CASE Studio 2, all program and information files and other documentation which are part of the CASE Studio 2 package, with the exception of the Activation keys / License files / Registration codes.

Activation key / License file / Registration code

registers a paid version of the software. This enables all functions and removes all restrictions of the demo version.

Individual / End user / Licensee

means a particular person.

Use of the Software

means use of the Software on one computer by a single Individual.

2. TERMS OF AGREEMENT

By using the Software or storing it on a computer hard drive (or other media), You are agree to be bound by the terms of this Agreement. If You do not agree to the terms of this Agreement, You must delete the Software from all storage media.
CASE Studio 2 (the "Software"), is protected by copyright and other international treaties. All intellectual property rights such as but not limited to patents, trademarks, copyrights or trade secret rights related to the Software are the property of CHARONWARE, s.r.o.

3. CONDITIONS OF USE

    • You may install the Software and create as many copies of the Software on storage media as You wish.
    • You may redistribute the Software freely on on-line services, bulletin boards, or other electronic media as long as the files are distributed in their entirety.
    • The Software may not be distributed on CD-ROM, disk, or other physical media for a fee without the permission of CHARONWARE, s.r.o.
    • You are not allowed to remove, alter or destroy any proprietary, trademark or copyright markings or notices placed upon or contained with the Software.
    • You may not decompile, reverse engineer, disassemble or otherwise reduce the Software to a human perceivable form. You may not modify, rent or resell for profit the Software. You may not create derivative works based upon the Software without the permission of CHARONWARE, s.r.o.
    • You may not publicize or distribute any registration code algorithms, information, registration codes, activation keys or license files used by the Software without written permission from CHARONWARE, s.r.o. Activation keys, License files or Registration codes may be used, stored or copied only by the person or organization, which has purchased the Software, and solely for the purpose of using the Software within the terms and conditions of this Agreement. No person or organization is permitted to store or copy Activation keys, License files or Registration codes for any other purpose without written agreement from CHARONWARE, s.r.o.

4. LIMITED WARRANTY

THE SOFTWARE IS PROVIDED TO LICENSEE "AS IS". ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS, AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH DISCLAIMERS ARE HELD TO BE LEGALLY INVALID. - CASE STUDIO 2 WAS DEVELOPED WITH GREAT ACCURACY AND CARE ABOUT END-USER. BUT IN NO EVENT SHALL BE THE AUTHORS LIABLE FOR ANY INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGE CAUSED BY THE SOFTWARE (INCLUDING LOSS OF BUSINESS, REVENUE, PROFITS, USE, DATA OR OTHER ECONOMIC ADVANTAGE).

5. TERMINATION

The License will terminate automatically if you fail to comply with the limitations described herein. On termination, you must destroy all copies of the Software.
CASE Studio 2 - database designing tool.
Copyright © 2000-2002 CHARONWARE, s.r.o.
All rights reserved.


Triggery

Nastavení

Rychlá editace

Při zaškrtnutí se obsah změněného triggru (procedury, pohledu) uloží vždy při přechodu na jiný trigger (proceduru, pohled). Při nezaškrtnutí musíte každou změnu potvrdit nebo zrušit.

Fonty

Font pro editor.

Tlačítka

Potvrzení provedených změn.

Zrušení provedených změn.

Loading text file from disk to editor.

Uložení obsahu editoru na disk.

Tisk triggru (procedury, pohledu)

Nastavení fontu editoru.

Změna pořadí generování triggru (procedur, pohledů)

Aktuální trigger (procedura,pohled) je změněn.

Enabled

při nastavení se trigger bude generovat, pri nenastavení bude při generování ignorován.

Seznam

Uživatelské triggery

Triggery, které jsou připojeny přímo k entitě, jde o tentýž trigger, ke kterému máte přístup v editoru entit.

Before

Vsuvky před tvořícím skriptem, zde si např. můžete napsat kod pro fyzické vytvoření databáze, připojení apod. Pokud chcete tuto vsuvku vygenerovat, musíte v Generování skriptu zaškrtnout volbu "Vsuvky před scriptem"

After

Vsuvky po tvořícím skriptu. Pokud chcete tuto vsuvku vygenerovat, musíte v Generování skriptu zaškrtnout volbu "Vsuvky po scriptu"


Universal R.E. - Connection via ADO

U.R.E. - Connection via ADO

Connection string

The Connection string shows the present settings. Click the Data link properties button to set the properties necessary to connect to the database using ADO.
Used in: Oracle Universal reverse engineering; DB2 Universal reverse engineering and PostgreSQL Universal reverse engineering.


Universal R.E. - Connection via ODAC

U.R.E. - Connection via ODAC

SID

Set your SID

Connection via TCP/IP (without client)

Check or uncheck

Host

Set appropriate host name

Port

Set appropriate port
Used in: Oracle Universal reverse engineering


Universal R.E. - Native connection

U.R.E. - Native connection

Connection String

Set appropriate connection string
Used in: DB2 Universal reverse engineering


Universal R.E. - ODBC connection setup

U.R.E. - ODBC connection setup

DNS

Set appropriate DNS

ODBC data source administrator

Specify all necessary settings
Used in: DB2 Universal reverse engineering


Konverze modelu z MySQL 3.23 do MySQL 4

Konverze modelu z MySQL 3.23.¨do verze MySQL 4

Konverze

Konverze modelu do MySQL4 z MySQL3.23 má specifickou vlastnost související s proměnnou Integer. jelikož CASE Studio 2 jinak zobrazuje vlastnost tyou Integer (nazvaná Maximum display Size) - ve verzi 3.23 se Integer definuje delkou klasicky:
Zatímco ve verzi MySQL4 již je tato specifikace uvedena v záložce "Rozšířene" jako "Maximum display size"

Konverze modelu z 3.23. do MySQL4

V případě konverze je potřeba stáhnout potřebnou šablonu z website http:www.casestudio.com.
Poté klasicky převeďte (menu:"Model"->"Převod na jinou databázi")


Editing Entities

To edit an entity, double-click on it in the entity relationship diagram, or double-click on its name in the model (Main model or a submodel) in the overview tree. The Entity Edit window displays.

Entity Name

The logical name of the entity.

Table Name

The physical name of the entity, this is the way it will be generated in the script.

Generate

Here you can choose if you want the entity to be generated into the SQL output script.

ATTRIBUTES

{bmc CSS_0000.BMP} List of all attributes the entity contains. You can edit the attributeScribble40 by selecting it in the grid and clicking the EDIT button, or double-clicking on the selected attribute.

Columns:

Key

States whether it is a key attribute. It can acquire values, such as: {bmc CSS_0001.BMP} Primary key.
{bmc CSS_0002.BMP} Foreign key that is a primary key at the same time.
{bmc CSS_0003.BMP} Foreign key.
To change the column value double-click the field.

Name

Attribute name

Type

Data type of attribute.

Not Null

States whether the attribute can acquire zero values. Column value can be changed by a mouse click.

Buttons:

Little Add

Fast attribute adding.Fill the attribute name in the field left off the button.

Add

Attribute adding.

Edit

Attribute editing.

Delete

Attribute deleting.
{bmc CSS_0004.BMP} and {bmc CSS_0005.BMP} Change the attribute order.

PROPERTIES

Entity properties.

Primary Key Constraint

Name of the primary key constraint. You can use a macro %tablename%.

EXTENDED

Here you find all the user-defined variables defined in the user-defined variables editor.

INDEXES

{bmc CSS_0006.BMP} A list of indexes the entity contains. Index editing is invoked the same way as the attributes editing, described above.

Columns:

Name

Index name

Index

List of attributes forming the index, or the index term.

Unique

States, whether the index is unique.

Descend

States, whether the index is descending.

ALTERNATE KEYS

List of alternate keys the domain contains. The alternate key editingEditing_Alternate_Keys procedure is similar to the one described under Attributes.

TRIGGERS

Here you can enter any triggers not generated by the program. You can also use the macro %tablename% here. You can view all the triggers in the trigger list.

RELATIONSHIP

List of relationships coming from and going to the entity.

STORAGE

Data written in some db servers under the SQL command Create Table. They usually specify their physical storage parameters. For example in Oracle this is: tablespace
, or in Sybase anywhere: in
You can also use the macro %tablename% here.

NOTES

Here you can enter any remarks you might have about the entity.

Editing Attributes

Select the Attributes tab on the Entity window and click the Edit button to open the Attribute edit window.

Key

Attribute is a part of the primary key

{bmc CSS_0007.BMP}

Your access to the dictionary of user typesScribble95.

Attribute Name

Logical name of the attribute

Column Name

Physical name, this is the way it will be generated in the database.

Rolename

You can change an attribute's name, in case it is imported from a different entity. If you want to export the attribute into other, different entities, than under the given name. You can also drag a name over from the Rolename into a column name with your mouse by using the Drag and Drop function.
Tip - If you check the Full rolenames item in Display menu, you will see the initial attribute name and the new rolename in file format rolename.atrname

Datatype

Here you can choose the data type of the attribute from the basic database types or from user-defined types. In case of special requirements, you can also use an Empty typeScribble538.

Default

Default value of the attribute.

Default Constraint Name

Default Constraint Name for the default value of the attribute (if the SQL server supports it)

Check

Integrity limitation of the attribute. You can use macro %colname%.

Check Constraint Name

Constraint name for Check. You can name it directly, or use macro %colname% (a column name) and %tablename% (a table name), eventually combine them. We can use, for example, CS_%tablename%_%colname%, which means, that in column "ZIP" and in table "T_ADRESS" you will get a constraint name CS_T_ADRESS_ZIP, in the generated SQL script. The script name can be generated only if the previous field Check is filled-out as well.

Unique Constraint Name

Constraint name for the unique limitation of the attribute (if the SQL server supports it). You can use macro %tablename% and %colname%, just like in Check Constraint Name.

Def

An all-applicable item. Its usage depends on the output database. ExampleScribble545

Def 2

2nd all-applicable item.

Note

Any type of text.

Editing Indexes

Select the Indexes tab on the Entity window and click the Edit button to open the Indexes edit window.

Index Name

Current logical and physical name.

INDEX

Unique

Unique index.

Descend

Descending index.

Case sensitive

Index recognizes small and capital letters. Not available for any database at this time.

Left Table

List of attributes inside of entity usable for indexing.

Right Table

List of attributes used in index.

{bmc CSS_0004.BMP} and {bmc CSS_0005.BMP}

Used to change item's order in index.

Expression

Term designed index. So far not used, it is ready for databases Foxpro, Clipper, etc.

Filter

Filter for the term designed index. So far not used.

STORAGE

Parameters of physically stored index. Here you can use a macro %indexname%. Only some databases support it, for example Oracle.

Editing Relationships

Select the Relationships tab on the Entity window and click the Edit button to open the Relationships edit window.

TYPE

Name

Relationship name

Linking Method

There are three ways of linking the parent and child entities : ?
Through a primary key of parent entity. (recommended) ?
Through a unique attribute of parent entity. ?
Through an alternative key of parent entity.

Relationship Type

Here you can select either identifying, non-identifying or informativeScribble910 relationship from the relationship type group.

Partiality Parent

Parent partiality towards the parent entity.
Mandatory - At least one record related to the child entity must exist inside of the parent entity, connected through relationship.
Optional - No record related to the child entity must exist inside of the parent entity , connected through relationship.

Partiality Child

Same as partiality parent, but in the reversed direction.

REFERENTIAL INTEGRITY

Integrity rules concerning a relationship. DetailsScribble555.

Constraint Name

Here the constraint name is defined, if you are going to generate the referential integrity declarative. You can either explicitly name the editing field Constraint Name with your name, or you can use macro %parenttablename%, %childtablename% or %relname%, eventually combine them. For example, you can name the constraint as fk_%relname%, so if the relationship is named as e.g. "has_address", then the Constraint Name is "fk_has_address".

KEYS

List of all keys, used to link up the parent and child entities through this relationship.

Editing Alternate Keys

Select the Alternate Keys tab on the Entity window and click the Edit button to open the Alternate Keys edit window.

Name

Logical name of alternate key.

Physical name

Physical name of alternate key. Use it as Constraint name

Left table

List of attributes in entity, which you can use for alternate key.

Right table

List of attributes used in alternate key.

Note: Alternate key is mostly generated this way:

alter table add constraint ‹tablename› unique ‹AlterKeyName›

Model Properties

The Model Properties can be found by selecting Model | Model Properties on the menu bar, by clicking the Model Properties button on the tool bar, or by double-clicking on the Main model in the overview tree.

PROPERTIES

Project

Project name

Model

Model name

Company

Company name

Author

Model author

Version

Model version

Created

Date and time of model creation

Updated

Date and time of last model change

Database

Database, the model is designed for

NOTE

Any type of text

SETTINGS

Attributes synchronization

Complete

Foreign key properties (default, check, etc.) are fully synchronized with the primary key properties, and you can not change them.

Partial

Foreign key properties are synchronized with primary key properties, but here you can change them. If you do so, the properties will not get synchronized anymore. To get them synchronized again, you must enter the same values into the foreign key properties as they are in the primary key.

None

Foreign key properties do not get synchronized at all.
Explanation and example:
To get the primary key to create its own unique value, you need to enter the AUTOINC function into the default value of the primary key. There are foreign keys in other entities to this primary key that would not make sense to have their default value set as AUTOINC. So, if you have set the Partial or None synchronization, then you can delete the AUTOINC value in foreign keys.
Please, be careful with this option and do not change it much! If you change this option from Partial or None to Complete, you can lose a part of your work. It will rewrite the values in foreign keys that you just worked on so hard. When you change the setting, the values will not rewrite automatically, but you've got to help it. That means, to open the entity with primary keys and close it back. Then the Primary keys properties migrate into the Foreign keys.

Table name synchronization

A method of transfer between the entity name and the table name. The default value is %entname%. It means the table name originates from the entity name. Spaces and disallowed characters will be removed at the same time.
Example:
The entity name is Aircraft, method of transfer is set to t_%entname%. This will produce a table name t_Aircraft. Column name synchronization A method of transfer between the attribute name and the column name. The default value is %atrname%. You can also use macro %atrname%. The behavior is similar to Tables (Entities).

Physical names of dictionary items synchronization

A method of transfer between the attribute name and the column name. The default value is %dictname%. The behavior is similar to Tables.

Model Check

check ERD
When checking the model, the ERD diagram is checked also.
check DFD
When checking the model, the DFD diagram is checked also.
check DFD against ERD
When checking the model, the DFD-ERD sequence checked also.

Default Values

Returns the methods of synchronization back to original values defined in Environment Setup....

DEFAULT VALUES

Here are settings that will be used as implicit for new objects.

DEFAULT STORAGE

The storage default setting is used for all new entities. If you want to change the existing entities, use button Set all entities.

ADVANCED

Setting of the user-defined variables that are valid for the complete model.

Submodel Properties

The Submodel Properties can be found by selecting Model | Submodel on the menu bar, by clicking the Edit Submodel button on the tool bar, or by double-clicking on the Submodel name in the overview tree.

Submodel name

Name of the submodel

ENTITIES

List of entities included in a given submodel. Here you can add or remove an entity from the submodel.

GRID

Show Grid

A grid will appear on the desktop.

Snap to Grid

All objects on the desktop will snap to the grid.

Horizontal in mm

The grid's horizontal spacing. The size is calibrated by a printer.

Vertical in mm

Same as horizontal.

ADVANCED

Straight Relationship Lines

The relationships are shown as straight lines from one entity to another. If the option is unchecked, the lines are broken.

Shadow

A shadow appears under the entity.

Physical View

The physical name of the entity (table name), physical names of attributes (column names) and their types appear on the screen.

Full Rolenames

If you have a defined rolename in the foreign key, the attribute will appear in format rolename.attributename.

Attributes Syntax Highlighting

The attributes are in the same color as the keys they belong to. Primary keys, Foreign primary keys, Foreign keys.

Display Indexes

A list of indexes in the entity appears.

Display Relationship Names

Name of the relationship appears.

Align in Columns

In entity the attributes align into columns. Name under name, data type under data type. It is well arranged, but it takes up more space.

Print

Prev.Page

Previous page is shown.

Next Page

Next page is shown.

Print Page

Actual page is printed.

Print All

Complete model is printed.

Exit

Simply exit

Printer Setup

Here you setup the printer. The setting is valid throughout the runtime of the program.

If you have a feeling that the size of entities is being deformed, check the true type font setting for your submodel. If a true type font is not set, then the preview could look deformed.

Dictionary

Dictionary of user-defined types. These types will appear when defining attributes.

Buttons:

Add

New user-defined type.

Edit

Editing the selected user-defined typeScribble105.

Delete

Deleting the selected user-defined type.

Load

Loading a dictionary of user-defined types from a file. Even from different models.

Save

Saving a dictionary of user-defined types into a file.

Dictionary Item

Name

Name of user-defined data type.

Physical Name

It is used when the user-defined types are generated as domains.

Datatype

Data type of the user-defined type.

Width

Width of the user-defined type.

Scale

Number of decimals of the user-defined type.

Check

Integrity limitation of the user-defined type. You can use macros %colname% or %value%, both will be replaced with the corresponding value of the column name for a particular attribute. (The macro %value% is obsolete, it is only used for compatibility feedback. We recommend using the macro %colname%).

Default

Default value.

Note

Any type of text.

Used in

List of attributes using the user-defined type.

Database Server Selection

Select a database server from the list when creating a new data model.

Environment Setup

DESKTOP

Switch back...

The way you work with the cursor on your desktop. When checked (implicit), the cursor switches back to an arrow type each time you place an object on the desktop (for example Delphi behaves similarly). When unchecked, the cursor type does not change. (Most of the other CASE programs behave similarly).

Visible page boundaries

To display page boundaries on your desktop (implicitly checked).

Color printing

To print a model in color. For color printers only. On black and white printers the colors will turn to shades of gray (implicitly unchecked).

Editor font

Setting a font for text editors.

Default desktop color

Desktop color value for new models.

Zoom

Zoom value for new models.

DIRECTORIES

Models directory

Directory where you save the models.

Definition file

Location of a file with system templates.

User's definition file

Location of a file with user-defined templates.

Script file

File where you save a generated SQL script.

HTML File

File where you save HTML report.

Gallery File

File where you save a gallery.

Lock models

If checked, the program will lock up this file at opening. The file is locked up then and nobody can open itor write anything into it. It is recommended that you set this option in the same way on all your computers in the network.

TEXT EDITOR

Generated SQL scripts and reports are displayed in a text editor.

Editor type

Internal simple editor, used as an alternative solution.
External you can select your own editor (Notepad recommended). Associated the Windows will bring up an editor that is associated with relevant suffix.

External editor

Set external editor name including a path.

SYNCHRONIZATION

Attribute synchronization

Implicit setting. Use it only for new models. For existing models use Model propertiesScribble65.

Table name synchronization

Implicit setting. Use it only for new models. For existing models use Model propertiesScribble65.

Field name synchronization

Implicit setting. Use it only for new models. For existing models use Model propertiesScribble65.

Physical names synchronization of dictionary items

Implicit setting. Use it only for new models. For existing models use Model propertiesScribble65.

Constraint primary key synchronization

Implicit setting. Use it only for new models. For existing models use Model propertiesScribble65.

INTEGRITY

Implicit setting of integrity limitations of the relationships. These settings will be used for all new relationships.

LICENSE

License code

A code needed to activate a full version of the program. A write-only field.

User

User name

Organization

Organization name

VERSION MANAGER

Saving method inside the version manager

Set what you want to offer as an implicit option
  1. Save into current revision
  2. Save into the new revision
More info inside the versions managerScribble615.

Ask before saving

If checked, the Version manager will ask for saving method before it executes the command.

Generating Scripts

Generate

Launches the generating of the SQL script.

View

Reviewing the generated script.

Exit

Exit generating.

Stop

Forced interruption of the generating process.

WHAT TO GENERATE

File

Name and location of the file the SQL script will be generated into.

Domains

If a database supports it, a command CREATE DOMAIN will be generated, eventually its equivalent.

Drop domain

A command DROP DOMAIN will be generated.

Tables

Tables will be generated.

Drop table

The commands DROP TABLE will be generated for all tables.

Primary keys

Some programmers do not use the primary keys and they solve the integrity differently, for example, by using indexes. That is not a good practice, but it is everybody's choice. So that's why you have an option of the Primary keys. If checked, the keys will be generated automatically, otherwise not.

Indexes

Indexes will be generated.

Drop index

A command DROP INDEX will be generated.

Referential integrity

Referential integrity will be generated, but only on those platforms supporting the referential integrity.

Triggers

Triggers will be generated, but only on those platforms supporting the triggers.

Drop trigger

A command DROP TRIGGER will be generated.

User-defined triggers

The triggers that are saved directly in entities, and triggers from the list of triggersScribble595 are added to SQL-script.

Procedures

Procedures from the list of triggers will be added to script.

Views

Views from the list of triggers will be added to script.

Alternate Keys

Alternate keys are generated into the script. This depends on the database server, but mostly they are generated as Constraint unique.

Insertions before script

Script insertions from the trigger listScribble595 are placed before the script.

Insertions after script

Script insertions from the trigger listScribble595 are placed after the script.

Font size

Setting the fonts for generated script. There are 3 options:

Preserve Characters (default setting).

Lower Characters
Upper Characters

Check Script

Gives you choice to check the model before generating the script.

HOW TO GENERATE

Parent, Child

Gives you choice of selecting the method of generating the referential integrity. You can set for each event of the referential integrity, if it will be generated declarative, that is, as a foreign key or as a trigger.

User-defined datatypes as domains

If checked, then the attributes whose data types are in the dictionary of user-defined types will be generated as a domain typeScribble565. But only if the database supports it.

Primary keys as constraint

If checked, then the primary keys will be generated as Constraints.

Foreign keys as constraint

If checked, then the foreign keys will be generated as Constraints. The Constraint nameScribble55 from the form Relationships is used as the name.

ADVANCED

User-defined variables, you can define them in the templates editor.

ENTITY LIST

List of entities ready to be generated.

Empty

Empty data type. Use only when you need to declare a column with special type not supported by the program.
Example:
You can declare a calculated column using this method in Interbase:
Attribute name = First Name
Column name = first_name
Type = empty
Def = computed by (first_name || " " || surname)
Program will generate attribute as:
first_name computed by (first_name || " " || surname)

Def, Def 2

Help items for some special insertions of attributes. The Def is placed behind a definition type and the Def2 at the end of attribute declaration.

Example:

You can set a character set and sorting criteria:
Attribute name = First Name
Column name = first_name
Type = char(20)
Def = CHARACTER SET WIN1250
Def 2 = COLLATE WIN1250
Program will generate attribute as:
first_name char(20) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250
See also Empty data type.

Referential Integrity

You can define integrity rules of a relationship related to changing, adding or deleting a record inside the parent or child entity.

Parent update:

An event where the primary key of the record is going to be changed inside the parent entity. The rules are:

None

No rule.

Restrict

In the case that the primary key is changed inside the parent entity record, and inside of the child entity are records allocated to the original parent record primary key, then the change is not made and db-system reports an error.

Cascade

In the case that the primary key is changed inside the parent entity record, and inside of the child entity are records allocated to the original parent record primary key, then the db-system will change appropriate foreign keys inside of the child entity.

Set NULL

In the case that the primary key is changed inside the parent entity record, and inside of the child entity are records allocated to original the original parent record primary key, then the db-system will set appropriate foreign keys inside of the child entity to NULL.

Set Default

In the case that the primary key is changed inside the parent entity record, and inside of the child entity are records allocated to the original parent record primary key, then the db-system will set appropriate foreign keys inside of the child entity to a default value.

Parent Delete

An event when a record inside of the parent entity is being deleted. The rules are

None

No rule.

Restrict

If a record inside the parent entity is being deleted and inside of child entity are records allocated to parent entity, then the command won't be executed.

Cascade

In case of record deletion inside the parent entity, the records inside of child entity will be deleted as well.

Set NULL

In case of record deletion inside the parent entity, the foreign keys inside of child entity will be set to NULL. Set Default : In case of record deletion inside the parent entity, the foreign keys inside of child entity will be set to default value.

Child Insert

An event when a record inside of the child entity is being added. The rules are:

None

No rule.

Restrict

In case of adding a record into child entity that does not have an related record inside of the parent entity, then the db system reports an error and the command will not be executed.

Child Update

An event when a foreign key of a record inside of the child entity is being changed. The rules are:

None

No rule.

Restrict

In case of changing a foreign key of a record inside of the child entity, and there is no related record inside of the parent entity for the new value, then the db system reports an error and the command will not be executed.

Domains

Interbase example:
create domain number INTEGER default 5 check (value < 100)
create table xx(
item number
)
it is equivalent to record
create table xx(
item integer default 5 check (item < 100)
)

Gallery

Some times you need to save a part of model, or just one entity "aside", for later use in different models.
For example:
Let's say you create an entity Address book, which contains 20 attributes. It appears to you universal enough and you do not want to create it again in the next model.
In that case go to your desktop and mark a random number of entities. Click your right mouse button and go to Add To Gallery on the pop-up menu. Gallery Item dialog box appears. There you fill out the file name (any), your name and some notes, if you have any.

On the next card you can see the gallery item structure.

Here is a list of gallery items. Each contains the Name, Database, Author and Date of creation. When you click on any of the gallery items, a window with more detailed data appears (picture below). You can edit this data.

{bmc CSS_0021.BMP}

If you want to use a gallery item in your model, right-click it with the mouse and drag it on your desktop.
You are free to use an item created for any kind of database. It means, that, for example, you can use a gallery item created in the Interbase in a model designed for the Oracle database.

Physical Creation Of Database

The CASE Studio 2.x does not really perform the physical creation of a database. You have to use the utilities that come with your database servers. For example, it is the ISQL for Interbase or the SQL Plus for Oracle.
If you are users of Delphi 1,2,3,4,5 and the Paradox tables, you can use a simple utility. You can find its source files in directory : ..\RKSoft\CaseStudio2\delphi. The files are : psql_form.dfm and psql_form.pas.

Triggers

Menu Settings

Quick Edit

When unchecked, it will be saving a changed trigger (procedure or view) content anytime you switch to a different trigger (procedure or view). If left unchecked, then you have to either confirm or cancel every single change.

Fonts

Editor fonts.

Buttons

{bmc CSS_0022.BMP} Confirming the applied changes.
{bmc CSS_0023.BMP} Canceling the applied changes.
{bmc CSS_0024.BMP} Loading text file from disk to editor.
{bmc CSS_0025.BMP} Saving the editor content to disk.
{bmc CSS_0026.BMP} Printing the trigger (procedure or view).
{bmc CSS_0027.BMP} Setting the editor fonts.
{bmc CSS_0004.BMP} {bmc CSS_0005.BMP} Changing the sequence of the trigger (procedure or view) generating process.
{bmc CSS_0028.BMP} The actual trigger (procedure or view) is changed.

Enabled

If checked, the triggers will be generated. If unchecked, the triggers will be ignored.

List

User-defined triggers

The triggers connected straight to an entity. It is the same trigger available to you in the Entity Editor.

Before

Insertions before the created script. Here you can write, for example, a physical creation of database code, connection, etc.

After

Insertions after the created script. {bmc CSS_0029.BMP}

Version Manager - Introduction

How to begin

  1. Create a new model or just open an existing one.
  2. From the Model menu select the Insert Model into Version Manager menu item.
  3. This form (window) appears on your screen.{bmc CSS_0030.BMP}
  4. Insert the project file name into the File field, in a separate directory, if possible. For that use button {bmc CSS_0024.BMP}
  5. Now the model is a part of the project and is controlled by the Version Manager. To know more about the Version Manager just click here.

Version Manager - Work

If you do not know how to insert a model into the Version Manager, start by clicking hereScribble605.

Buttons

{bmc CSS_0025.BMP}

Saves the project on disk. You need not use it, the project will be automatically saved after each change.

OUT

Check out, opening the model (revision) from the repository.

IN

Check in, saving the model (revision) into the repository. When you use Check In on a modified model the following windowScribble625 appears on your screen.

1

A tree structure displaying development of the project. Here the models are arranged by the time of their creation.

2

A tree structure displaying development of the project. Here the models are displayed in full hierarchy.

DETAIL

Name

Revision Name

Version

Revision Number

Created

Date and time of creation of the revision.

Modified

Date and time of last modification of the revision.

NOTE

Any type of text.

Symbols

{bmc CSS_0031.BMP} Revision was opened, but no change occurred inside the model.
{bmc CSS_0028.BMP} Revision was opened and a change occurred inside the model. When you use Check In on a modified revision, the following windowsScribble625 appears on your screen.
{bmc CSS_0032.BMP} Revision
{bmc CSS_0033.BMP} Version
If you want to back-up the project, then back-up the complete directory containing your project. If you are opening a new project, create a new directory for that project. By doing so you will eliminate many problems.
The project can be:? file with project containing list of individual model files.? files with models (they are created automatically in the same directory with the project file).
More on the files and their suffixes here.

{bmc CSS_0034.BMP}

Version Manager - Saving Revision

Save into current revision ‹revision_no›

A changed model is saved into current revision. In case this revision has some successors, the option is gray and cannot be saved. You have to create new version or revision (you could bypass it by saving the revision straight from the desktop, but we do not recommend this).

Save into a new revision

The changed model is saved into the new revision.

Save into new version ‹version_no›

The changed model is saved into new version. The version number is the number of the last created version + 1, in format of "‹ver_no›.0"

Don't save

The changed model is not saved, you lose all changes. {bmc CSS_0035.BMP}

Comparing Versions

TERMS

Newer version

Actual version you will be comparing with others. Its number is located on the top of the form.

Older version

This is a version you are comparing with the newer version. It is from combobox or from button {bmc CSS_0024.BMP} Open older version. Newer and older does not mean the time of creation, but only the relation between the actual and the compared versions. The older version could be virtually newer and vice-versa.

BUTTONS

{bmc CSS_0024.BMP}

Opening the older version. Here you open and compare the older version straight from a file, without using the Version Manager.

G

comparing by GUID. Each object (entity, attribute etc.) has its own unique identifier (GUID). If the objects have the same GUID in two different versions, they are considered as the same object, and the changes between those two objects will be shown (even when you change the object name). If they have different GUID, they are considered as two different objects. This comparing process is good for models in the Version Manager. This way you can compare only the models with a common past, the models that were created separately cannot be compared this way. The option is gray.

N

comparing by an object name. Compared by the name of an object.

F

comparing by a physical name of an object. Compared by a physical name of an object (e.g. Attribute by a column name, entity by a table name). It is good for comparing a hand-created model and a reverse engineering created model.

Combobox

If you compare the Version Manager models, then they are all Manager versions, except for the actual.
Warning:
The comparing is done with the older versions saved on disk. If there is any older version with some applied changes open, those changes will be ignored. This does not concern the newer version, of course.
{bmc CSS_0036.BMP} Older version is one of the successors of the actual newer version in the Version Manager.
{bmc CSS_0037.BMP} Older version is one of the predecessors of the actual newer version in the Version Manager
{bmc CSS_0038.BMP} Older version is out of the development line toward the actual newer version.

SYMBOLS IN TREEVIEW

{bmc CSS_0039.BMP} New object, did not occurr in the older version.
{bmc CSS_0040.BMP} Object is only in the older version, does not occurr in the newer one.
{bmc CSS_0041.BMP} Object contains changes in the newer version, compared to the older one.

COLORS OF REVIEW ON THE RIGHT SIDE

Yellow

Object or its property is new, did not occurr in the older version.

Green

Object or its property did not change in the newer version compared to the older one.

Blue

Object or its property was deleted from the newer version, remains only in the older one.

{bmc CSS_0042.BMP}

Editing Processes

PROCESS

Name

The process name

SPECIFICATION

Text description of the process. If you check the checkbox, you lose the option to further divide this process .

NOTE

Any type of text.

Editing Terminators

Name

The terminator name.

Editing Datastores

Name

The datastore name.

Entity

An entity corresponding to this datastore in the ERD.

Editing Dataflows

Name

The dataflow name.

Flow type

The dataflow type. It can be either Data Flow or Control Flow.

Dataflow Table

The left bar contains a list of processes, the top bar contains a list of datastores and entities. You can see from the table which process is reading or writing from which datastore.

{bmc CSS_0047.BMP}

Files And Their Suffixes

*.dm2

Native format for model saving.

*.dmx

Alternative format for model saving. It is slower, more universal and with its help the older version of the program can load a model from the newer version. We will use it possibly for transition on to CASE Studio 3.0. It is in XML format.

*.dmr

Native format for saving the model in the old version of CASE Studio. The CASE Studio can read it, but cannot save it. *.dg2 File with a gallery. We recommend to back-up this file constantly! It is in XML format. You can set it in the Environment Setup...Scribble508.

*.dp2

File with a project, it is used by the Version Manager. It is in XML format. If you want to back-up the project, then do the complete directory, that is the file *.dp2 and all the files *.dv2 in that directory.

*.dv2

File with a model included in the project. Format is similar to *.dm2. It has a different suffix because it cannot be opened directly, but only through the Version Manager.

*.ts2

File with system templates. These templates are part of the program distribution. It is in XML format. You can set it in the Environment Setup...Scribble508 .

*.tu2

File with user-defined templates. These templates are edited and managed by the user. We recommend to back the file up constantly. It is in XML format. You can set it in the Environment Setup...Scribble508.

*.dd2

File with exported dictionary. Used for dictionary exchange between models. It is in XML format.

Casestud.exe

The CASE Studio program itself.

Css.chm

This help file.

Templ.chm

Help file with templates description. ( in future versions of CASE Studio )

Relationship Types

Identifying

Primary key migrates from the parent entity to the child entity and there becomes a part of the primary key. It is used when the primary key of the child entity is unable to provide definite identification. An entity, connected with a parent entity through an identifying relationship, is called a "dependent" entity and is shown in a model with rounded corners.
Example:
// parent entity
Create Table Invoice(
InvoiceNo integer not null,
ExportDate date,
Primary key (NumberInv)
)
// child entity, invoice lines
Create Table InvItem(
InvoiceNo integer not null,
LineNumber integer not null,
Amount money,
Primary key (NumberInv, LineNumber)
)
The line number as a unique record identifier is not enough. The child entity has to help itself with the Invoice number. That is the reason for using the Identifying Relationship. An invoice item cannot exist without the invoice itself, therefore an invoice item is a Dependent entity.

Nonidentifying

Primary key migrates from the parent entity to the child entity and does not become a part of the primary key.

Example:

// parent entity

Create Table AddressBook(
BLN char (8) not null,
Name char (30)
Primary key (BLN)
)
// child entity
Create table Invoice (
NumberInv integer not null,
BLN char (8),
Primary key (NumberInv)
)
The invoice number (NumberInv) as the Invoice unique identificatier is good enough. Therefore the nonidentifying relationship is used. The BLN is only a foreign key. The invoice can exist without being related to a firm, therefore the invoice is an Independent entity.

Informative

Primary key does not migrate at all, no referential integrity or triggers are generated, it is only information about the existence of some relationship.

Contact

WEB:

www.casestudio.com

E-mail:

info@casestudio.com

or

support@casestudio.com

( for registered users )

Please write your question in English or German.

Reverse Engineering For Paradox

DIRECTORY LIST

Write in this column a list of all directories you want to load their structure from. Do not forget to add a backslash at the end of each directory. Example: C:\Progam\MyProject\Data\

SETTINGS

Indexes

Structure of indexes is loaded also.

Load directories into storage

A directory, which physically contains a table, is loaded into storage for each entity.

Close when loading is finished

After loading table structures is finished, the window closes automatically.

Buttons:

{bmc CSS_0024.BMP}
Adds a directory to the list.
{bmct CSS_0052.BMP}
Refreshes the list.
{bmct CSS_0054.BMP}
Launches the reverse engineering.
{bmct CSS_0055.BMP}
Opens this help file.

Universal Reverse Engineering

This dialog is reached by the following path: File | Reverse Engineering | Universal Reverse Engineering.

Alias

Select an existing Alias from the drop down list or type a new Alias name. Once all the following options are set, the Alias can be saved by clicking the Save button, {bmc CSS_0025.BMP}.

Execute Script

Select an existing script from the drop down list.

Connection Via

Select a connection method from the drop down list. Click the Build button, {bmct CSS_0053.BMP}, to set the specific parameters needed to connect to the database. You can choose from:
Connection via ADO

(The Connection string shows the present settings. Click the Data link properties button to set the properties necessary to connect to the database using ADO.)

or Connection via ODAC.

User name

Name of user connected to the SQL server

Password

User password

Save Password

Save the password with this Alias.

Settings

Here you can select the database objects to be loaded. The choices vary with the chosen script.

Buttons

Connect

Connecting to the database.

Disconnect

Disconnecting from the database. This button is activated after the connection is completed.

Execute

Launching the reverse engineering. This button is activated after the connection is completed.

Help

Opening this help topic. Close when loading is finished - After the reverse engineering is finished, the window closes automatically. {bmc CSS_0049.BMP}

Oracle

DB 2 version 7.1

MySQL 3.23

Obsolete Reverse Engineering

The options appearing under File | Reverse Engineering | Obsolete might or might not work depending on the versions of certain software components installed on your computer. It is strongly recommended that the Universal Reverse Engineering option be used instead. Included under Obsolete are:
Oracle via native link

Hoststring

Type in the Hoststring to Oracle here.

Reverse Engineering For Interbase

Interbase via native link

Database

Path to database file (*.gdb)

User Name

User to log on to the database.

Password

That user's password.

Interbase type

Choice of Interbase 4, 6 and 6. The difference is in the support of declaratory referential integrity.

Entities

The entities found in the database.

Settings

The database objects to be reverse engineered and loaded into the model.

Load Triggers

Loads the triggers.

Load Procedures

Loads the procedures.

Indexes

Loads the indexes.

Collation

Loads the sorting method of attributes.

Character set

Loads the national character set of attributes.

Views

Loads the views.

Permissions

Loads the permissions.
The Interbase is unable to recognize to which attribute the Check constraint belongs. Therefore all the Checks are loaded into the entity trigger.

Interbase via BDE

Alias

Alias from BDE
The rest is similar to Interbase through native connection.

Reverse Engineering For MS SQL Server

MS SQL via native link

Database server

Name of database server and the database in format

‹server›:‹database›

MS SQL via ODBC

Alias Name of the data source ODBC ODBC Version Setting of ODBC version installed on your computer. You can try both.

MS SQL via ADO

Reverse Engineering

CASE Studio 2 is able to reverse engineer many different database structures. These databases include Interbase by Borland, SQL Server by Microsoft, Oracle by Oracle, Paradox by Borland, and DB2 by IBM. Other databases which support ODBC could be processed.
The reverse engineering process will extract the database's entities, attributes, relationships, indexes, triggers, procedures, and other objects depending on the particular database. Not all of those features are supported by all databases.
In addition to being able to work with a number of databases, CASE Studio 2 is able to use a number of different communication methods: ODBC, ADO, ODAC, and direct native connections where appropriate. The choice is your's.
When you select Reverse Engineering from the File menu you see the following choices:

Universal Reverse Engineering

A general purpose connection to the database. See Reverse Engineering for SQL ServersScribble1110 for more information.

Paradox

Connection to Paradox databases. See Reverse Engineering for ParadoxScribble1100 for more information.

Interbase via Native Link

Connection to Interbase databases. See Reverse Engineering for InterbaseReverse_Engineering_For_Interbase for more information.

Interbase via BDE

Connection to Interbase databases. See Reverse Engineering for InterbaseReverse_Engineering_For_Interbase for more information.

MS SQL via Native Link

Connection to Microsoft SQL Server databases. See Reverse Engineering for MS SQL ServerReverse_Engineering_For_MS_SQL_Server for more information.

MS SQL via ADO

Connection to Microsoft SQL Server databases using ADO. See Reverse Engineering for SQL ServersScribble1110 for more information.

MS SQL via ODBC

Connection to Microsoft SQL Server databases using ODBC. See Reverse Engineering for SQL ServersScribble1110 for more information.

ADO

Connection to any database using the ADO communication methodology.

Obsolete

This shows you a set of database connections which have been replaced by the Universal Reverse Engineering. They are included here only for compatibility.


What's new

Hot new features in CASE Studio 2 v 2.9.

  • Full support of Sybase Adaptive Server Enterprise 12.5
  • Reverse engineering from Sybase ASE 12.5
  • Enhanced support for MS SQL 2000
    • - new Reverse engineering through templates (Universal RE)
    - user-defined functions
    - 'Default constraint' names are supported
  • Foreign keys mapping
    • - users are allowed to fully control all foreign keys (FK)
    - foreign keys can be changed to primary keys violently
    - compound foreign keys are supported
  • Enhanced verification
    • - new interface
    - verification in compliance with database templates
    - users are allowed to write their own templates for a verification
  • New design of HTML reports
    • - pre-defined Cascade Style Sheets (CSS)
    - users are allowed to create new CSS styles for HTML reports
  • XML export
    • - models can be exported into XML
  • Enhanced To-Do list
    • - displays also names of particular entities and relationships
    - new HTML and RTF reports of To-Do lists
    - enhanced To-Do list's maintenance
  • Editors
    • - new DESCRIPTION tab added
  • Enlarged working area
    • - working area was enlarged to 20 x 20 pages
  • Data Store
    • - it is possible to edit entities also from the Data Store editor
    - in the Data Store editor, you can enable/disable a verification against entities
  • Versioning
    • - version numbers can start at zero
    - new tree view. New versions are displayed as new branches
    - new interface for templates
    - version manager saves only changed projects (fixed bug)
  • "One instance only" support
    • - new settings available at "Environment setup". If a new one instance with a parameter "file_name" is called, the initial instance takes control over it.
  • Enhanced import of templates
    • - when importing templates, the checkbox "onAppStart" is checked automatically
#